- [[总复习2023t1]] {{renderer :todomaster}}
  id:: 64895ec0-51b1-47d6-9243-404b6e52d576
	- DONE [[Java]] {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-12 Mon>
	  :LOGBOOK:
	  CLOCK: [2023-06-09 Fri 15:09:23]--[2023-06-09 Fri 16:26:51] => 01:17:28
	  :END:
		- DONE lab
			- DONE 写 lab8
			  :LOGBOOK:
			  CLOCK: [2023-06-09 Fri 15:06:46]--[2023-06-09 Fri 16:26:50] => 01:20:04
			  :END:
			- DONE (考前)复习 labs
			  collapsed:: true
				- DONE [#A] 从 t14 复制过来
				- 1
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 2
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 3
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 4
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 5
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 6
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
				- 7
				  :LOGBOOK:
				  CLOCK: [2023-06-10 Sat 21:08:02]--[2023-06-10 Sat 21:08:03] => 00:00:01
				  :END:
		- DONE 课件
		  collapsed:: true
		  :LOGBOOK:
		  CLOCK: [2023-06-12 Mon 10:47:42]--[2023-06-12 Mon 14:12:02] => 03:24:20
		  :END:
			- DONE 看 revision (java file IO 可以考前再看一遍)
			  collapsed:: true
			  :LOGBOOK:
			  CLOCK: [2023-06-12 Mon 11:40:14]--[2023-06-12 Mon 12:58:33] => 01:18:19
			  :END:
				- DONE [#A] Review past exam papers
				- DONE java file IO
				  collapsed:: true
				  :LOGBOOK:
				  CLOCK: [2023-06-09 Fri 16:44:33]--[2023-06-09 Fri 17:13:37] => 00:29:04
				  :END:
					- DONE Buffered Reader / Writer
					- DONE File objects
				- DONE GUI (自学不考)
				  collapsed:: true
					- DONE Graphics Classes: Color, Font, FontMetrics, JLabel
				- StringBuffer vs. StringBuilder
					- String is immutable whereas StringBuffer and StringBuilder are mutable classes.
					- StringBuffer is thread-safe and synchronized whereas StringBuilder is not. That’s why StringBuilder is faster than StringBuffer.
					- String concatenation operator (+) internally uses StringBuffer or StringBuilder class.
					- For String manipulations in a non-multi threaded environment, we should use StringBuilder else use StringBuffer class.
		- DONE 题
			- DONE 看 qm 上错题 [gradeplus](https://qmplus.qmul.ac.uk/grade/report/user/index.php?id=21582)
			- DONE this 的用法
			  collapsed:: true
				- In Java, the `this` keyword is a reference to the current object within a non-static method or constructor. It represents the instance of the class on which the method or constructor is being called.
				- When a class is instantiated to create an object, that object has its own set of instance variables and methods. The `this` keyword allows you to refer to those instance variables and methods from within the class itself. It is primarily used to differentiate between instance variables and parameters or local variables that have the same name.
				- Here are a few common uses of the `this` keyword in Java:
				  collapsed:: true
					- Accessing instance variables: You can use `this` to access or modify the instance variables of the current object. For example, `this.variableName` refers to the instance variable `variableName` of the current object.
					- Invoking constructors: In a constructor, `this` can be used to invoke another constructor in the same class. It is useful for constructor chaining, where one constructor calls another constructor to initialize the object.
					- Passing the current object as a parameter: Sometimes, you may need to pass the current object as an argument to another method. In such cases, you can use `this` to pass a reference to the current object.
					- Returning the current object: A method can use `this` to return the current object. This is often used in method chaining, where multiple method calls are chained together on the same object.
				- It's important to note that `this` can only be used within non-static contexts, as it refers to the current instance of the class. Static methods and variables do not belong to any specific instance, so `this` cannot be used inside them.
				- Overall, the `this` keyword provides a way to refer to the current object and access its members, helping to avoid naming conflicts and make the code more readable.
			- DONE Past exam papers
			  :LOGBOOK:
			  CLOCK: [2023-06-11 Sun 21:37:16]--[2023-06-12 Mon 12:58:29] => 15:21:13
			  CLOCK: [2023-06-12 Mon 14:12:05]--[2023-06-12 Mon 17:55:24] => 03:43:19
			  :END:
				- DONE Access Modifiers
				- DONE Javadoc tags and modifiers [tutorial](https://www.tutorialspoint.com/java/java_documentation.htm)
					- Syntax:
						- ```java
						  // This is a single line comment
						  
						  /*
						   * This is a regular multi-line comment
						   */
						  
						  /**
						   * This is a Javadoc
						   */
						  ```
					- @throws ExceptionType reason
				- DONE Garbage collection
				  collapsed:: true
					- **The working:** Java garbage collection is an automatic process. Automatic garbage
					  collection is the process of looking at heap memory, identifying which
					  objects are in use and which are not, and deleting the unused objects.
					  An in-use object, or a referenced object, means that some part of your
					  program still maintains a pointer to that object. An unused or
					  unreferenced object is no longer referenced by any part of your program.
					  So the memory used by an unreferenced object can be reclaimed. The
					  programmer does not need to mark objects to be deleted explicitly. The
					  garbage collection implementation lives in the JVM.
					- **Eligibility for garbage collection:** An object is said to be eligible for GC(garbage collection) if it is unreachable.
				- DONE ==THREE main concepts when doing GUI programming in Java==
					- **Component**: An object that the user can see on the screen and can also
					  interact with
					- **Container**: A component that can hold other components
					- **Event**: An action triggered by the user
					- Designing a GUI involves creating components, putting them into containers, and
					  arranging for the program to respond to events (e.g. responding to mouse clicks).
				- DONE ==Review Java File IO==
				- DONE Exception Terms
					- java.lang.ArrayIndexOutOfBoundsException:
					- IOException
					- ArithmeticException
					- NegativeArraySizeException
					- ArrayStoreException
				- LATER four fundamental OOP concepts.
				  :LOGBOOK:
				  CLOCK: [2023-06-12 Mon 14:12:16]--[2023-06-12 Mon 14:12:18] => 00:00:02
				  :END:
					- inheritance
						- Inheritance in Java is **a concept that acquires the properties from one class to other classes**
					- ## polymorphism
					- encapsulation
						- Encapsulation in Java is a mechanism of **wrapping the data** (variables) and code acting on the data (methods) together as a single unit. In encapsulation, the variables of a class will be hidden from other classes, and can be accessed only through the methods of their current class. Therefore, it is also known as **data hiding**.
					- abstraction.
						- Data **abstraction** is the process **of hiding certain details** and showing only essential information to the user.
						- Abstraction can be achieved with either **abstract classes** or
						  [**interfaces**](https://www.w3schools.com/java/java_interface.asp) (which you will learn more about in the next chapter).
				- Overloading vs. overriding
					- When two or more methods in the same class have the same method name but different parameters, this is called overloading. In contrast, overriding occurs when two methods have the same name and parameters
				- Interface
	- DONE 毛概 {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-13 Tue>
		- DONE 看笔记
		- DONE 做题
		  :LOGBOOK:
		  CLOCK: [2023-06-11 Sun 09:51:00]--[2023-06-11 Sun 09:51:01] => 00:00:01
		  :END:
		- DONE 整理错题
		  deck:: 2023t1/Mao
			- 在 1978 年的关于真理标准问题的⼤讨论中，邓⼩平指出，关于真理标准问题的讨论实质就在于( {{c1 b}} ). #flashcard
			  id:: 64895ec0-db81-4923-8c25-48429b1b0999
			  A.是否坚持⻢列主义、⽑泽东思想
			  B.是否坚持实践是==检验真理==的唯⼀标准
			  C.是否坚持解放思想、实事求是
			  D.是否坚持中国共产党的领导
			- 创新包括各⽅⾯的创新，如理论创新、技术创新、制度创新等，其中在各项创新中处于先导地位的是 （ {{c1 b}}）#flashcard
			  extra:: 社会主义主打一个空想
			  id:: 64895ec0-eb6a-4252-9bb6-89eff3bc6e76
			  A．科技创新
			  B．理论创新
			  C．⽂化创新
			  D．⽣产关系创新
			  A.⽣产关系适合⽣产⼒ B.理论联系实际
			  C.实事求是 D.在实践中检验真理和发展真理
			- extra:: 三个有利于：改革得失
			  A．尊重群众、尊重实践
			  B．⼀切从群众中来
			  C．解放思想
			  D．“三个有利于”
			- 4．中国共产党在新⺠主主义⾰命领导权问题上有着深刻认识，党认为实现对⾰命的领导权的根本
			  id:: 64895ec0-a0c3-4205-9240-3bbea356fab0
			  保证是（ {{c1 c}} ）。 #flashcard
			  A.动员全⺠开展武装⽃争 B.建⽴最⼴泛的⼈⺠统⼀战线
			  C.加强中国共产党的建设 D.扩⼤⾰命的影响⼒和控制⼒
			- extra:: a: 抢国民党
			  id:: 64895ec0-f849-4a5c-8fe9-d3deb0e3fdcb
			  1.  建国初期我国社会主义国营经济建⽴的主要途径是（ {{c1 a}} ）#flashcard
			      A. 没收官僚资本 B. 没收帝国主义在华企业
			      C. 剥夺封建地主阶级的财产 D. 赎买⺠族资产阶级的财产
			- extra:: 学苏联
			  A.优先发展重⼯业的问题
			  B.将落后的农业国建设成为先进的⼯业国的问题
			  C.重⼯业、轻⼯业和农业的发展关系问题
			  D.建⽴独⽴的⽐较完整的⼯业体系问题
			- extra:: b 反右运动 c 文革 d 从来没有
			  A.集中⼒量发展社会⽣产⼒
			  B.正确处理⼈⺠内部⽭盾
			  C.进⾏思想战线上的社会主义⾰命
			  D.加强社会主义⺠主与法制建设
			- extra:: 创新性方法：学苏联自由派
			  A.和平赎买
			  B.剥夺⽣产资料 C.公私合营
			  D.⽣活上给出路
			- extra:: 十大关系指出要多快好省建设社会主义基本思想
			  A.发展⽣产⼒，把我国尽快地从落后的农业国变为先进的⼯业国
			  B.正确处理⽆产阶级同资产阶级的⽭盾
			  C.调动⼀切积极因素，为社会主义事业服务
			  D.彻底消灭剥削制度，继续肃清反⾰命残余势⼒
			- 1.社会主义的**根本**原则是（ {{c1 a}} ） #flashcard
			  extra:: 根本原则
			  id:: 64895ec0-3dc2-4451-a8fe-24381236c3fd
			  A. 坚持以公有制为主体，实现共同富裕 B.扩⼤改⾰开放，增强综合国⼒
			  C.实⾏按劳分配，改善⼈⺠⽣活 D. 不断发展⽣产，增加社会财富
			  是( {{c1 d}} ) #flashcard
			  A.什么是实事求是
			  B. 怎样建设党
			  C.什么是⻢克思主义
			  D. 什么是社会主义
			- 5.坚持四项基本原则的核⼼是 ( {{c1 c}} ) #flashcard
			  extra:: 共产党要独裁，别人都不行
			  id:: 64895ec0-9e79-4649-93be-cf27f0fc42ba
			  A.坚持社会主义道路 B.坚持⼈⺠⺠主专政
			  C.坚持共产党的领导 D.坚持⻢列主义、⽑泽东思想
			- 3．社会主义初级阶段与新⺠主主义社会在经济基础⽅⾯的本质区别在于（ {{c1 a}} ）#flashcard
			  extra:: d: 不谈这些
			  id:: 64895ec0-7ac9-4e1d-bb5b-ce5ee51f4897
			  A. 是否存在多种所有制经济
			  B. ⾮公有制经济是否成为社会主义经济的必要补充
			  C. 国有经济是否起主导作⽤
			  D. 公有制经济是否成为社会经济的主体
			- 2.正确处理改⾰、发展、稳定三者关系的重要结合点是（ {{c1 b}} ）#flashcard
			  id:: 64895ec0-d70c-4c98-94bb-80fcbe503533
			  A.把改⾰的⼒度、发展的速度和社会可以承受的程度统⼀结合起来
			  B.不断改善⼈⺠⽣活
			  C.在社会政治稳定中推进改⾰和发展
			  D.靠深化和继续发展解决改⾰和发展中产⽣的新问题和新⽭盾
			- 5.经过 30 多年的对外开放，我国形成了全⽅位、多层次、宽领域的对外开放格局。所谓全⽅位就是
			  指（ {c1 a}）#flashcard
			  extra:: 全方位：a; 多层次：合作框架, 宽领域：跨越政治
			  id:: 64895ec0-0a5a-4f41-a262-adbb511a9af6
			  A.不论对资本主义国家还是社会主义国家，对发达国家还是发展中国家都实⾏开放政策
			  B. 根据各地区的实际和特点，通过经济特区、沿海开放城市、经济技术开发区等不同开放程度的
			  各种形式，形成全国范围的对外开放
			  C．⽴⾜我国国情，对国际商品市场、国际资本市场、国际技术市场和国际劳务市场的开放
			  D. 坚持“引进来”和“⾛出去”相结合
			- 1.我国现阶段公有制的主要实现形式是（ {{c1 a}} ）#flashcard
			  extra:: b: 农村银行
			  id:: 64895ec0-a04c-4640-a3a9-e1dd807a7745
			  A. 股份制
			  B.股份合作制 C.租赁、承包制
			  D.国家独资经济
			  A.国有资产在社会总资产中占有量的优势
			  B.国有经济能控制垄断性⾏业
			  C.国有经济对国⺠经济的==控制⼒==
			  D.国有经济在国⺠经济中占主体地位
			- 是( {{c1 b}} ) #flashcard
			  extra:: 领导利益优先
			  id:: 64895ec0-a755-4622-9044-19bef1cbc32e
			  A．维护最⼴⼤⼈⺠的根本利益 B.如何妥善协调各⽅⾯的利益关系问题
			  C.兼顾不同⽅⾯群众的利益 D.效率优先、兼顾公平
			- 1.新⺠主主义⾰命初期，⽑泽东⽐较了中外资产阶级⾰命的性质后，提出中国⾰命胜利后，应该建⽴的国家政权形式是 ( {{c1 b}} ). #flashcard
			  extra:: 共产党约等于革命民众
			  id:: 64895ec0-8194-401b-9372-ecb960a032eb
			  A. ⼈⺠⺠主专政的国家
			  B. 各⾰命⺠众合作统治的国家
			  C. ⺠主联合政府的国家
			  D. 以⼯农为主的⼯农⺠主政权
			- 2.中国共产党和各⺠主党派合作的政治基础是 ( {{c1 c}} ). #flashcard
			  extra:: 四项基本原则不允许争议，指“社会主义”，“民主”，“共产党独裁”，“马列毛思想”不允许反对
			  id:: 64895ec0-3678-4873-adfd-82b4df53da19
			  A. 中国共产党和各⺠主党派全作的政治基础是
			  B. 遵循“⻓期共存，互相监督，肝胆相照，荣辱与共”的⽅针
			  C. 坚持四项基本原则
			  D. 中国共产党是执政党，⺠主党派是参政党
			- 5.社会主义⺠主政治的**本质**是 ( {{c1 a}} ). #flashcard
			  extra:: 红二代当家作主最重要
			  id:: 64895ec0-da3e-46f8-92ab-c0da5efe157e
			  A. ⼈⺠当家作主
			  B. ⼈⺠⺠主专政
			  C. ⼈⺠代表⼤会制度
			  D. ⼈⺠参与国家管理
			- A. 爱国主义
			  extra:: 共产党最爱吹的金句
			  id:: 64895ec0-dd09-45f4-a3d4-073860b4dd0b
			  B. 集体主义
			  C. 社会主义
			  D. 为⼈⺠服务
			  A. 为⼈⺠服务
			  B. 集体主义
			  C 诚实可信
			  D 爱国主义
			  1.  社会主义和谐社会的核⼼价值是( {{c1 d}} ). #flashcard
			      A. 以⼈为本
			      B. 以⺠为本
			      C 社会公平
			      D 公平和正义
			- 2 我国社会保障制度的基本⽬标是( {{c1 a}} ). #flashcard
			  extra:: 竟然是和其他所有国家一样
			  id:: 64895ec0-8e70-4ef1-81a7-5cd033cfac67
			  A. 保证⼈们最基本的⽣活需要
			  B. 使劳动者⽣活⽔平不断提⾼
			  C. 保证劳动者充分就业
			  D. 实现共同富裕
			- extra::
			  A. 不断推进⼈的全⾯发展
			  B. 不断推进共同富裕
			  C. 不断满⾜⼈⺠的物质⽂化⽣活需要
			  D. 不断创造共同富裕的物质基础
			- A. 祖国统⼀
			  extra:: 因为是假想敌，所以想要统一
			  id:: 64895ec0-11d5-40f6-84d9-dc9fef824774
			  B. ⼀国两制
			  C. ⼀国两政府
			  D. “三通”
			  1.  和平与发展是时代的主题，和平与发展的核⼼问题是( {{c1 a}} ). #flashcard
			      A. 南北问题
			      B. .维护世界和平问题
			      C. 反对霸权主义、强权政治问题
			      D. 建⽴国际经济政治新秩序问题
			      A. 提⾼中国的国际地位
			      B. 维护世界和平，促进⼈类共同繁荣和发展
			      C. 反对霸权主义和强权政治
			      D. 实现全⼈类的解放
			- extra:: 是全球的南北
			  id:: 64895ec0-83fb-4abe-9f80-566a43e15750
			  1.  和平与发展是时代的主题，**和平与发展**的核⼼问题是( {{c1 a}} ). #flashcard
			      A. 南北问题
			      B. .维护世界和平问题
			      C. 反对霸权主义、强权政治问题
			      D. 建⽴国际经济政治新秩序问题
			- extra:: 美国=霸权主义，反对美国来维护世界和平
			  A. 实⾏有效裁军和军控
			  B. 发挥联合国的维和作⽤
			  C. 反对霸权主义和强权政治
			  D. 加强国际⼲预
			- extra:: 民族资产阶级最后被收购了
			  id:: 64895ec0-83af-4a8b-9fb9-805f7ec7d617
			  1.  中国新⺠主主义⾰命时期的统⼀战线包含着两个联盟。其中基本的、主要的联盟是( {{c1 b}} ). #flashcard
			      A. ⼯⼈阶级同城市⼩资产阶级的联盟
			      B. 以⼯农联盟为主体的⼯⼈阶级同农⺠、⼩资产阶级等其他劳动⼈⺠的联盟
			      C. 以⼯农联盟为主体的⼯⼈阶级同农⺠、⼩资产阶级和⺠族资产阶级的联盟
			      D. ⼯⼈阶级同可以合作的⾮劳动⼈⺠的联盟
			- extra:: 共产党你是会恶心人的
			  A. 爱国主义性质的
			  B. 政治联盟性质的
			  C. 社会主义性质的
			  D. ⼈⺠⺠主性质的
			- extra:: 硬背吧
			  A. 建设有中国特⾊社会主义
			  B. 实现国家统⼀
			  C. 加强⺠族团结
			  D. 增强⼈⺠凝聚⼒
			- extra:: 重点是体制
			  id:: 64895ec0-21ac-4215-9fd7-63c4fff95559
			  1.  ⼗六届四中全会指出，提⾼党的执政能⼒的核⼼是( {{c1 d}} ). #flashcard
			      A. 加强党的领导
			      B. 改善党的领导体制
			      C. 建设⾼素质的⼲部队伍
			      D. 保持党和⼈⺠群众的⾎⾁关系
			- extra:: 共产党纯变态
			  A. 政党是阶级⽃争发展到⼀定历史阶段的产物
			  B. 政党同国家政权紧密联系
			  C. 政党有⾃⼰的纲领
			  D. 政党有⾃⼰的奋⽃⽬标
			  A. 取得执政地位
			  B. 代表先进⽣产⽅式
			  C. 维护⽆产阶级利益
			  D. 符合统治阶级的需要
	- DONE [[学交]] {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-13 Tue>
		- DONE 看格式要求 _Follow the ABC (Abstract Body Conclusion) Format for all Letters/Memos_
			- DONE Job application letter
				- Cover letter (application letter)
					- #+BEGIN_VERSE
					  [Your name]
					  [Your address]
					  [Your city, state and zip code]
					  
					      [Date]
					  
					      [Hiring manager's name]
					      [Hiring manager's title]
					      [Company name]
					      [Company address]
					      [Company city, state and zip code]
					  
					      Dear [Hiring manager's name],
					  
					      I'm writing to express my interest in the position of [job title] at [company]. [Explain how you heard about the job and name your contact if you were referred by someone within the company.] I believe my [skills and qualifications] make me an ideal fit for this job.
					  
					      [Use the second paragraph to elaborate on how you would help the company. Reference specific campaigns or projects when possible.]
					  
					      [Use the third paragraph to summarize your key qualifications. Elaborate on your most important accomplishments and include details that you were unable to provide in the more concise format of your resume.]
					  
					      [Use the fourth paragraph to briefly explain why you want to work for this company. Mention the additional documents included with your cover letter, and express your excitement about moving forward in the hiring process.]
					  
					      Sincerely,
					      [Your name]
					  
					  #+END_VERSE
			- DONE Academic
				- DONE research proposal
					- Format
						- #+BEGIN_VERSE
						  Your proposal should include the following:
						  
						  1.  TITLE
						  
						      Your title should give a clear indication of your proposed research approach or key question
						  
						  2.  BACKGROUND AND RATIONALE
						  
						  You should include:
						  
						      the background and issues of your proposed research
						      identify your discipline
						      a short literature review
						      a summary of key debates and developments in the field
						  
						  3.  RESEARCH QUESTION(S)
						  
						  You should formulate these clearly, giving an explanation as to what problems and issues are to be explored and why they are worth exploring
						  
						  4. RESEARCH METHODOLOGY
						  
						  You should provide an outline of:
						  
						      the theoretical resources to be drawn on
						      the research approach (theoretical framework)
						      the research methods appropriate for the proposed research
						      a discussion of advantages as well as limits of particular approaches and methods
						  
						  5.  PLAN OF WORK & TIME SCHEDULE
						  
						  You should include an outline of the various stages and corresponding time lines for developing and implementing the research, including writing up your thesis.
						  
						  For full-time study your research should be completed within three years, with writing up completed in the fourth year of registration.
						  
						  For part-time study your research should be completed within six years, with writing up completed by the eighth year.
						  
						  6. BIBLIOGRAPHY
						  
						  You should include:
						  
						      a list of references to key articles and texts discussed within your research proposal
						      a selection of sources appropriate to the proposed research
						  
						  #+END_VERSE
				- DONE academic paper
					- DONE abstract
						- Major Types of Abstract - Descriptive Abstracts
							- ● Short -uaually less than 120 words.
							- ● Includes:
								- ● purpose of the paper/work (objectives)
								- ● methods used
								- ● scope of the paper/work
								- ● introducing the subject.
							- ● Doesn’t include:
								- ● results, conclusions and recommendations
								- It aims to provide the reader with brief summaries (1-2 sentences) of each of the sections of the paper.
								- ● A descriptive abstract summarizes the main points of a document without
								  providing any analysis or interpretation, simply describing what the document
								  contains. It is typically very short and doesn't provide any information beyond
								  what you would find in the document's table of contents.
								- ● An outline of your work
						- •Major Types of Abstract - Informative Abstracts
							- ● Fairly short - from 250 words to a page or more.
							- ● Include:
								- ● purpose of the work/paper (research background /objectives)
								- ● method used
								- ● scope of the work
								- ● results / findings
								- ● conclusions and recommendations
								- ● contributions, novelty (optional)
						- It focuses on providing the results of the research and describing the
						  conclusion, contribution and vovelty that can be drawn from these
						  results.
					- DONE introduction
						- a clear sense of purpose,
						  thorough understanding of reader needs, and
						  close attention to correct formats.
						- Research paper introductions are always unique.
						  After all, research is original by definition. However, they often
						  contain six essential items. These are:
						- **An overview of the topic.**Start with a general overview of
						  your topic. Narrow the overview until you address your paper’s specific
						  subject. Then, mention questions or concerns you had about the case.
						  Note that you will address them in the publication.
						- **Prior research.**Your introduction is the place to review
						  other conclusions on your topic. Include both older scholars and modern
						  scholars. This background information shows that you are aware of prior
						  research. It also introduces past findings to those who might not have
						  that expertise.
						- **A rationale for your paper.**Explain why your topic needs to
						  be addressed right now. If applicable, connect it to current issues.
						  Additionally, you can show a problem with former theories or reveal a
						  gap in current research. No matter how you do it, a good rationale will
						  interest your readers and demonstrate why they must read the rest of
						  your paper.
						- **Describe the methodology you used.**Recount your processes to
						  make your paper more credible. Lay out your goal and the questions you
						  will address. Reveal how you conducted research and describe how you
						  measured results. Moreover, explain why you made key choices.
						- **A thesis statement.**Your main introduction should end with a
						  thesis statement. This statement summarizes the ideas that will run
						  through your entire research article. It should be straightforward and
						  clear.
						- **An outline.**Introductions often conclude with an outline.
						  Your layout should quickly review what you intend to cover in the
						  following sections. Think of it as a roadmap, guiding your reader to the
						  end of your paper.
						- These six items are emphasized more or less,
						  depending on your field. For example, a physics research paper might
						  emphasize methodology. An English journal article might highlight the
						  overview.
					- DONE conclusion
						- Presenting the last word on the issues you raised in your paper.
						- Summarizing your thoughts and conveying the larger implications of your study.
						- Demonstrating the importance of your ideas.
						- Introducing possible new or expanded ways of thinking about the research problem.
			- DONE Report
				- Informal
					- DONE letter report
						- Format
							- #+BEGIN_VERSE
							  This form is used in the case of brief and informal reports. Its main parts are:
							  
							      Heading;
							      Date;
							      Address;
							      Salutation;
							      Body;
							      Complimentary close;
							      Signature.
							  
							  The body of the letter can be divided into the following parts:
							  
							      Introduction: Here the writer states the problem.
							      Findings: Here the finding of the investigation are presented.
							      Recommendation: After the findings, recommendations are given in the last paragraph of the body.
							  
							  The sample is given below to give an idea about the structure of a report.
							  #+END_VERSE
						- Sample
							- ```text
							                             Opex Apparel Ltd.
							                         (A house for best Garments)
							                               Dhanmondi, Dhaka
							  
							  25th, May 2021
							  
							  Managing Director
							  Opex Apparel Ltd.
							  Dhanmondi, Dhaka.
							  
							  Ref: Negligence of duty by the staff in our Uttara Showroom.
							  
							  Dear Sir,
							  
							  In accordance with” your instructions, I personally visited our Uttara
							  showroom to look into its functioning. I made some investigation and
							   therefore submitting my report hereunder. <abstract, introduction>
							  
							  A number of worthy customers purchased some exclusive garments
							  but found some problems with fitting after purchase. They tried their
							  best to return the garments but failed because there was no
							  attendant to take the complaint and providing the change. As a
							  result, they made a phone call to our complaint department and filed
							  complaints regarding this issue. <findings>
							  
							  In our Uttara branch, there is only one attendant named Mr. Saker to
							  handle the after-sales service. He has been found to be irregular for
							  the last three (3) months. As a result, our customers are getting
							  dissatisfaction causing a decrease in our sales. In this age of
							  competition, losing customers means “Red Alert to the business.
							  
							  I have no hesitation to recommend that Mr. Saker may be served
							  with a notice and a really efficient and active man may be sent there
							  for proper functioning. <recommendation>
							  
							  I hope that quick action will be taken based on my recommendation
							  for the betterment of our company.<close>
							  
							  Yours faithfully
							  
							  M. A Khan Secretary
							  ```
					- DONE memo report
						- Format
							- Abstract
								- Clear statement of memo's purpose
								  Outline of main parts of memo
							- Body
								- Supporting points, with strong points at the beginning and/or end
								  Frequent use of short paragraphs or listed items
								  Absolute clarity about what memo has to do with reader
								  Tactful presentation of any negative news
							- Conclusion
								- Clear statement of what step should occur next
								  Another effort to retain goodwill and cooperation of readers
						- Sample:
							- ```text
							                               MEMORANDUM
							  
							  DATE:
							  
							  TO:
							  
							  FROM:
							  
							  SUBJECT:
							  
							  I'm writing to inform you that [statement, reason for writing memo].
							  
							  As our company continues to grow … [evidence or reason to support your opening
							  paragraph].
							  
							  Please let me know if you have any questions. In the meantime, I'd appreciate your
							  cooperation as [official business information] takes place.
							  ```
				- Formal
					- DONE Letter Text Combination Form
						- Types
							- proposal: A proposal report is a document that outlines a plan or suggestion for a
							  particular project, initiative, or course of action. It is typically
							  prepared by an individual or a team who wants to propose a specific
							  idea, action, or solution to a problem. The purpose of a proposal report
							  is to convince the intended audience that the proposed plan is viable,
							  beneficial, and worth pursuing.
							- feasibility: A feasibility report determines the outcome of a proposed solution by analyzing all relevant factors.
							- progress: A progress report is a document that provides an update on the status,
							  achievements, and ongoing activities of a project, task, or initiative.
							  It is typically prepared on a regular basis, such as weekly, monthly, or
							  quarterly, to inform stakeholders about the progress made toward
							  established goals and objectives.
							- evaluation: An evaluation report is a document that assesses and analyzes the
							  performance, effectiveness, or impact of a project, program, policy, or
							  initiative. It provides an in-depth examination and critique of the
							  subject being evaluated, based on specific criteria and objectives.
							- problem analysis: A problem analysis report is a document that examines and analyzes a specific problem or issue in depth. It aims to identify the root causes
							  of the problem, understand its impact, and propose potential solutions
							  or recommendations.
							- recommendation: Recommendation reports, also known as justification reports, propose a specific idea to the reader and provide evidence to support the
							  recommendation.
						- Template
							- ```text
							  Report on [topic of the report]
							  Submitted on [date of submission]
							  Summary or Abstract
							  [This summarizes the contents of the report, including your main findings and
							  overall conclusion.]
							  Introduction
							  [This provides insight into the purpose of the report.]
							  Background
							  [This section provides background information for the reader to understand the
							  context of the remaining content.]
							  Methodology
							  [This section explains to the reader what method you followed to gather your
							  findings and make your conclusions. For example, describe if you're using
							  qualitative or quantitative methods in your research.]
							  Findings
							  [Present your findings based on your research.]
							  Conclusions
							  The main issues we found were as follows:
							  [Outline the main issues to address based on your findings.]
							  Recommendations
							  To address these central issues, we recommend the following steps:
							  [Offer clear recommendations of actions based on your findings and conclusions
							  to help solve the problem.]
							  Appendix
							  [List any references used for your research, including articles, papers, or other
							  sources. You can also include any reference materials, such as surveys, tables,
							  charts, or diagrams referenced in your report.]
							  ```
		- LATER 写几篇试试手
	- DONE 数电 {{renderer :todomaster}}
	  SCHEDULED: <2023-06-14 Wed>
	  deck:: 2023t1/Circuits
	  collapsed:: true
		- DONE 看 block4
		  deck:: 2023t1/Circuits
			- Buses #flashcard what is it? connection types?
			  id:: 64895ec0-bc6b-4db5-b6a9-ce4cd728dd78
				- Set of two or more electrical conductors representing a
				  binary value
				- Often more than just a one-to-one connection
			- Data Storage Devices
				- Random Access: #flashcard Access parallel? Access time? address length? two categories of random access?
				  id:: 64895ec0-0708-4f9d-b106-24296716fa8d
					- All memory contents can be accessed in the same time as
					  each other.
					- Equal time to access any location
					- n-bit address
					- Volatile #flashcard: content lost? also called? two types?
					  id:: 64895ec0-ee26-4729-aaa3-56f824aa8d43
						- Volatile memory loses its contents when the power is switched off
						- Volatile memory is commonly called {{c1 RAM(Random Access Memory)}}. Often used as “working
						  id:: 64895ec0-3638-4913-98ab-53cea78b5f2a
						  memory” #flashcard
						- Static RAM (SRAM): Uses {{c3 transistors}} to store a single bit
						  id:: 64895ec0-f8f6-4e99-8557-db4f6b38b40a
						  of information and does not need to be refreshed
						  periodically. #flashcard
							- more expensive and less dense
						- Dynamic RAM (DRAM)Uses a {{c2 capacitor}} to store the
						  id:: 64895ec0-dd35-4cf8-b386-5a244312a79b
						  data bit and needs to be periodically refreshed to maintain
						  the charge in the capacitors. #flashcard
							- Because of the small cell size, DRAM can have very high
							  densities.
							- It is the main memory in personal computers.
					- Non-volatile #flashcard data loss? abbrevation?
					  id:: 64895ec0-aad5-47f6-84a6-543ea7d930a5
						- Non-volatile memory keeps its contents even if there is no
						  power to the device.
						- Non-volatile memory is commonly called as {{c1 ROM}}
						  id:: 64895ec0-e7ff-4a6c-bb06-731bb9f26413
						- ROM
							- Definition :-> Read-Only Memory where the contents cannot be
							  id:: 64895ec0-0b10-47d5-9a55-d86e9d711777
							  changed by normal CPU operations.
							- used to store fixed data or information.
							- Mask ROM :-> programmed in manufacture
							  id:: 64895ec0-665d-48e3-9c6f-8d98d499fb44
							- PROM :-> Programmable ROM
							  id:: 64895ec0-7ad7-4186-a070-46403fa1adbd
							- EPROM :-> Erasable PROM
							  id:: 64895ec0-d5d4-4888-8c51-0cc852162e81
							- EEPROM :-> Electrically Erasable PROM
							  id:: 64895ec0-82fd-4910-8365-bbcb7ec7b089
				- Serial Access
					- Stores data bits in series
					  Head must travel from current position to new address passing the
					  other addresses in between – time consuming
					  Can store large amounts of data
				- Read Only
				- R / W
			- SI bytes:
			  8bit = 1byte
			  ![image.png](../assets/image_1686315189766_0.png)
		- DONE 往年题
		- DONE Review slides
		  :LOGBOOK:
		  CLOCK: [2023-06-11 Sun 20:05:19]--[2023-06-11 Sun 21:37:27] => 01:32:08
		  :END:
			- DONE Tutorial 1
			  :LOGBOOK:
			  CLOCK: [2023-06-11 Sun 20:06:12]--[2023-06-11 Sun 21:13:20] => 01:07:08
			  :END:
				- DONE Base conversion
					- Integer
					- Digits
					- If calculating integer part, from up to down :-> LSB to MSB
					  id:: 64895ec0-d31b-4520-9651-c06319d4fca2
					- fractional part is the reverse, :-> from MSB to LSB, since we are multiplying.
					  id:: 64895ec0-eb02-4a85-b47c-e55ec4ff9e63
				- DONE LSB, MSB
				- DONE ==2's complement==
				  :LOGBOOK:
				  CLOCK: [2023-06-11 Sun 20:24:32]
				  CLOCK: [2023-06-11 Sun 20:24:34]--[2023-06-11 Sun 20:32:57] => 00:08:23
				  :END:
					- convert to 2's complement (negative numbers)
						- Invert the bits of that representation
						  logseq.order-list-type:: number
						- add 1
						  logseq.order-list-type:: number
					- convert from 2's complement (negative numbers)
						- subtract 1
						  logseq.order-list-type:: number
						- invert the bits of that representation
						  logseq.order-list-type:: number
						- or:
						- invert bits
						  logseq.order-list-type:: number
						- add 1
						  logseq.order-list-type:: number
					- Subtraction with 2's complement
				- DONE Floating point formats
				  :LOGBOOK:
				  CLOCK: [2023-06-11 Sun 20:53:09]--[2023-06-11 Sun 21:09:13] => 00:16:04
				  :END:
					- IEEE 754 FP
						- $$ Value = (-1)^s _ 1.f _ 2^{e-127} $$
						- s: sign
						- f: Mantissa
						- e: exponent
				- Parity
			- DONE Tutorial 2
			  collapsed:: true
			  :LOGBOOK:
			  CLOCK: [2023-06-13 Tue 19:02:54]--[2023-06-13 Tue 19:53:03] => 00:50:09
			  :END:
				- Drawing gates
				- Boolean algebra
					- Theorems
						- Consensus theorem
							- $$ (X + Y) (X + Z) = X + YZ $$
						- Distributivity theorem
							- $$ XY + X'Z + YZ = XY + X'Z $$
				- Minterms and Maxterms
					- Minterm
						- Algebraic sum of minterms, SOP, Canonical Sum
						- Algebraic product of maxterms, POS, Canonical Product
			- DONE Tutorial 3
			  :LOGBOOK:
			  CLOCK: [2023-06-13 Tue 19:56:43]--[2023-06-13 Tue 20:31:16] => 00:34:33
			  :END:
				- Draw latches
					- SR
					- SR with control
					- D
				- Draw Functional table
					- DONE When the output is invalid
				- Synchronous state machine
				- Input / next state / output equations
				- Transition table, State table, State / Output Table
				- Circuit synthesis
					- K-map
					- State diagram
			- DONE Tutorial 4
			  :LOGBOOK:
			  CLOCK: [2023-06-13 Tue 20:36:09]--[2023-06-13 Tue 21:21:19] => 00:45:10
			  :END:
				- Calculating address bits
				- Calculating bits required to select memory chips
				- draw diagrams
					- DONE Draw block diagram of circuit using decoder so that memory can be addrerssed
					  :LOGBOOK:
					  CLOCK: [2023-06-13 Tue 21:33:12]--[2023-06-13 Tue 21:33:12] => 00:00:00
					  :END:
					  ![image.png](../assets/image_1686666046762_0.png)
					- DONE Draw block diagram of a system in which a memory space comprises multiple memory devices of smaller capacity and explain its operation
					  :LOGBOOK:
					  CLOCK: [2023-06-13 Tue 21:33:12]--[2023-06-13 Tue 21:33:12] => 00:00:00
					  :END:
					- DONE Mux switch
					  :LOGBOOK:
					  CLOCK: [2023-06-13 Tue 21:33:12]--[2023-06-13 Tue 21:33:12] => 00:00:00
					  :END:
					  ![image.png](../assets/image_1686665844966_0.png)
					- DONE Draw ROM
					  :LOGBOOK:
					  CLOCK: [2023-06-13 Tue 21:33:12]--[2023-06-13 Tue 21:33:12] => 00:00:00
					  :END:
					  ![image.png](../assets/image_1686663351367_0.png)
					  The address is from b to a (down to up):
					  c b a addr
					  0 0 0 0
					  0 0 1 1
					  0 1 0 2
					  0 1 1 3
					  ==mux switch left 1, right 0==
					- DONE Ripple parallel adder implemented by FAs
					  ![image.png](../assets/image_1686665873138_0.png)
					- DONE Ripple parallel subtractor implemented by FAs
					  ![image.png](../assets/image_1686665912325_0.png)
				- Transforming bit, byte, kb, mb, gb
	- DONE 看数据库 {{renderer :todomaster}}
	  deck:: 2023t1/database
	  collapsed:: true
		- DONE 课件
		  collapsed:: true
		  :LOGBOOK:
		  CLOCK: [2023-06-01 Thu 17:01:28]--[2023-06-01 Thu 17:01:30] => 00:00:02
		  CLOCK: [2023-06-01 Thu 17:01:41]--[2023-06-01 Thu 17:38:19] => 00:36:38
		  :END:
			- DONE Transactions
			- DONE Distributed DMBSs
			- DONE XML
			- DONE Data Mining
			- DONE NoSQL
		- DONE Theory
		  collapsed:: true
		  :LOGBOOK:
		  CLOCK: [2023-06-04 Sun 16:27:23]--[2023-06-04 Sun 16:54:55] => 00:27:32
		  :END:
			- DONE Block 1
			  deck:: 2023t1/database
				- DONE DBMS
					- Database is :-> a shared collection of logically related data (and a description of this data), designed to meet the information needs of an organization.
					  id:: 648974ba-3221-48b2-8f9c-2d9275174f48
					- Table :-> A collection of related data organized into rows (also called records) and columns (also called fields).
					  id:: 648974ba-7b5a-4cff-8d21-3bcc7e0c1fe8
					- Row/Record :-> A single set of data in a table, representing a specific instance or entity.
					  id:: 648974ba-d192-4027-945a-9c6113ac218f
					- Column/Field :-> A specific attribute or data element within a table.
					  id:: 648974ba-89e7-434a-b242-68a1ea3f7f6b
					- Primary Key :-> A unique identifier for each row/record in a table. It ensures the integrity and uniqueness of the data.
					  id:: 648974ba-611e-4d5c-849b-9cd57b7bddb9
					- Foreign Key :-> A field in one table that refers to the primary key in another table, establishing a relationship between the two tables.
					  id:: 648974ba-bc0d-4b78-a8cb-7a081ca1b2ac
					- Relationship :-> The connection between tables based on common data values, such as primary and foreign keys.
					  id:: 648974ba-851d-42a7-95c1-2619fed22d3a
					- Normalization :-> The process of organizing and structuring a database design to eliminate redundancy and improve data integrity.
					  id:: 648974ba-53b0-4176-b67b-cd51d1ea09c6
					- Index :-> A data structure that improves the retrieval speed of data from a database table by creating a quick reference to the location of the data.
					  id:: 648974ba-2246-42c3-aa0c-7609107af7c5
					- Query :-> A request for data or information from a database, usually written using Structured Query Language (SQL).
					  id:: 648974ba-4b3e-4f99-90fd-b4c9a1a43a53
					- SQL (Structured Query Language) :-> A programming language used to manage and manipulate relational databases. It allows you to create, modify, and retrieve data from databases.
					  id:: 648974ba-a844-4e21-a1ca-e0b26668f1b7
					- CRUD Operations :-> An acronym for Create, Read, Update, and Delete operations, which are the basic operations used to manage data in a database.
					  id:: 648974ba-34d4-49df-91c9-b44b018120c6
					- ACID (Atomicity, Consistency, Isolation, Durability) :-> A set of properties that guarantee the reliability and integrity of database transactions.
					  id:: 648974ba-4174-45b7-8903-38ffea39a200
					- Data Integrity :-> The accuracy, consistency, and reliability of data stored in a database.
					  id:: 648974ba-7797-4a43-b644-f0780da5121b
					- Database Schema :-> The structure or blueprint of a database, defining the tables, fields, relationships, and constraints.
					  id:: 648974ba-7b5c-45d1-ac86-ef7211c9672a
					- Database Management System (DBMS) :-> Software that provides an interface to interact with databases, managing their creation, modification, and retrieval.
					  id:: 648974ba-627d-463c-9237-56777d45b8af
				- DONE basic concepts of Relational model
					- A data model :- > a graphical description of the
					  components of database.
					- A relation, is :-> a two-dimensional table arranged in columns and rows.
					  id:: 648974ba-40ec-4600-af39-d438a5f75339
					- A relational database is :-> a collection of relations.
					  id:: 648974ba-c76d-4f2b-a8ad-ef1ad3a16b2c
					- Candidate Key #flashcard
					  id:: 648974ba-a2f3-43a1-a5ea-c170c68314e1
						- A set of attributes that uniquely identifies a tuple within a
						  relation.
						- Uniqueness : In each tuple, candidate key uniquely identify
						  that tuple.
						- Irreducibility: No proper subset of the candidate key has the
						  uniqueness property.
					- Primary Key #flashcard
					  id:: 648974ba-c5dc-44cb-8894-8f5838714f2a
						- Candidate key selected to identify tuples uniquely within
						  relation.
					- Foreign Key #flashcard
					  id:: 648974ba-da05-48b6-aded-75d1ea5f1342
						- Attribute, or set of attributes, within one relation that
						  matches candidate key of some (possibly same) relation.
					- Composite Key #flashcard
					  id:: 648974ba-7242-4c00-b67b-5418c3f71e77
						- A candidate key that consists of two or more attributes.
					- Recursive Relationship #flashcard
					  id:: 648974ba-eb07-4e80-a1c3-87555fb04d1a
						- Relationship type where same entity type participates
						  more than once in different roles.
					- Multiplicity :-> number (or range) of possible
					  id:: 648974ba-5d96-4c64-a1b0-e9e61aa3563a
					  occurrences of an entity type that may relate to a
					  single occurrence of an associated entity type
					  through a particular relationship.
					  ![image.png](../assets/image_1686723218703_0.png)
						- Cardinality #flashcard
						  id:: 648974ba-b24d-40a3-8669-9dbc85dedaf7
							- Describes {{c1 maximum}} number of possible relationship occurrences for an entity participating in a given relationship type.
							  id:: 648974ba-ea33-489d-bb7b-1951685babd0
						- Participation #flashcard
						  id:: 648974ba-6dc5-4805-9dfd-7db5a83efe3f
							- Determines whether all or only some entity occurrences participate in a relationship.
							- Gives the minimum number for an entity occurrences participating in a given relationship type.
						- Ternary relationship #flashcard
						  id:: 648974ba-9b7a-4543-b243-e7a78cfc8175
							- a ternary relationship is not the same as three binary relationships!
				- DONE basic concepts associated with Entity-Relationship(ER) model.
				- DONE Forming sql queries
					- DONE Review relational algebra https://www.geeksforgeeks.org/introduction-of-relational-algebra-in-dbms/
					- LATER review lab2
					- DONE SQL join
			- DONE Block 2
				- DONE EER
					- Most useful additional concept of EER model:
					  specialization/generalization.
						- Specialization
							- Process of maximizing differences between
							  members of an entity by identifying their
							  distinguishing characteristics.
						- Generalization
							- Process of minimizing differences between
							  entities by identifying their common
							  characteristics.
						- Two constraints that may apply to a #flashcard
						  id:: 64896085-645b-408f-b17a-109b6cd82aeb
						  specialization/generalization:
							- participation constraints :-> Determines whether every member in superclass
							  id:: 6489683b-319a-4173-a55b-6fa3b2c09aeb
							  must participate as a member of a subclass.
								- May be mandatory or optional. #flashcard
								  id:: 648960d0-ae7f-4452-a1b9-cab8a9b13443
									- Mandatory: member of superclass must be
									  member of subclass
									- Optional: member of superclass may be member
									  of subclass.
							- disjoint constraints :-> Describes relationship between members of the subclasses and indicates whether member of a superclass can be a member of one, or more than one, subclass. #flashcard
							  id:: 6489683b-039f-4161-94b1-91177f713ee5
								- Disjoint: member of superclass is member of at most one subclass (or)
								- Nondisjoint: member of superclass can be member of more than one subclass (and)
					- Superclass / Subclass
						- Superclass :-> An entity type that includes one or more distinct
						  id:: 64895f2f-b868-46ec-9d80-7079eaf3197d
						  subgroupings of its occurrences.
							- Superclass/subclass relationship is {{c1 one-to-one
							  id:: 64895f70-57e0-4023-9c32-34f1380aba1e
							  (1:1).}} #flashcard
								- Superclass may contain overlapping or distinct
								  subclasses.
								- Not all members of a superclass need be a
								  member of a subclass.
						- Subclass :-> A distinct subgrouping of occurrences of an entity
						  id:: 64895f39-d886-436b-9afe-ba75d37c8b45
						  type.
						- When to use them? either one or both #flashcard
						  id:: 6489683b-7d47-4246-afdf-83fdb35a00f6
							- There are attributes that apply to some (but not all) instances of an entity.
							- The instances of a potential subclass participate in a relationship unique to that subclass.
					- DONE Designing databases
						- Understand Database Design Methodology #flashcard
						  id:: 6489a99e-3ed0-4673-814d-f823e4998168
							- Conceptual database design
								- The process of constructing a **model** of the data used in an enterprise, independent of all physical considerations.
							- Logical database design
								- Maps the conceptual data model on to a **logical model (e.g. relational)**, but i*ndependent of a particular DBMS and other physical considerations*.
							- Physical database design
								- The process of producing a description of the **implementation of the database (tailored to specific DBMS)**;
						- general steps for Database Design Methodology. #flashcard
						  id:: 6489a9b5-14ea-4b2b-bd47-07b93ae94124
							- Gather requirements
							- Conceptual database design
							- Logical database design
							- Physical database design
					- DONE SQL
						- purpose and importance of SQL.
							- SQL is a transform-oriented language with 2
							  id:: 6489c210-8ab6-4a38-979a-01af7618a3a4
							  major components: #flashcard
								- A DDL for defining database structure.
									- Create table
									- Drop table
								- A DML for retrieving and updating data.
									- Insert
									- Delete
									- update
									- Select
							- Importance:
								- it is non-procedural - you specify what
								  information you require, rather than how to get it;
								- it is essentially free-format.
								- easy to learn
						- retrieve data from database and formulate queries using SELECT and
							- Use compound WHERE conditions.
							- Sort query results using ORDER BY.
							- Use aggregate functions.
							- Group data using GROUP BY and HAVING.
							- Join tables together.
							- Use subqueries.
						- update database and formulate queries using INSERT, UPDATE, and DELETE.
						- DONE [#A] Write some SQL!!
			- DONE Block 3
				- DONE DB transaction management
					- DONE Deadlock and how it can be resolved. #flashcard
					  id:: 64841da4-d8ce-46f5-bbe6-4dee620cde75
						- A deadlock is a situation in which two or more transactions are unable
						  to proceed because each is waiting for a resource held by the other,
						  resulting in a circular dependency and a system halt. It is a form of
						  resource contention that can occur in concurrent systems, including
						  database management systems.
						- Example:
					- Cascading rollback #flashcard
					  id:: 64897f0b-dda6-4cc3-a9c3-cf630bcb0658
						- Cascading Rollback: a transaction (T1) causes a
						  failure and a rollback must be performed. Other
						  transactions dependent on T1's actions must also
						  be rollbacked, thus causing a cascading effect.
						- One transaction's failure causes many to fail.
					- DONE ACID (Atomicity, Consistency, Isolation, Durability): A set of properties that guarantee the reliability and integrity of database transactions. #flashcard
					  id:: 64841da4-0055-4d34-9f61-1402ff068ec7
						- Atomicity: :-> The property that ensures a transaction is treated as a single, indivisible unit of work. It either executes all its operations successfully or rolls back to the initial state if any operation fails.
						  id:: 64841d38-4ea9-4b76-8585-8b9de23915da
						- Consistency: :-> The property that ensures a transaction transforms the database from one consistent state to another consistent state. It maintains data integrity and adheres to defined business rules.
						  id:: 64841d38-2854-4dfb-8f21-0013fca66a0a
						- Isolation: :-> The property that ensures concurrent transactions do not interfere with each other. Each transaction operates in isolation until it completes, preventing interference or conflicts.
						  id:: 64841d38-fd2b-435e-bd45-3bf487a74b6f
						- Durability: :-> The property that ensures committed changes made by a transaction are permanently saved and will survive any subsequent system failures or crashes.
						  id:: 64841d38-950c-431e-8f28-ece98e230554
					- DONE Concurrency control
						- DONE Meaning of serialisability. #flashcard
						  id:: 648428e1-5136-4d15-97c0-12087085b47f
							- The objective of serialisability is to find nonserial schedules that are equivalent to some serial schedule. Such a schedule is called serialisable.
						- DONE How locking can ensure serialisability. #flashcard
						  id:: 64841da4-8812-405f-b49a-69eec9a069d2
							- Locking achieves serializability by using locks to control access to
							  shared resources (e.g., database objects like tables or rows) and
							  prevent conflicts between concurrent transactions.
						- DONE 2PL #flashcard
						  id:: 64841da4-eab4-40db-819f-249fe1437250
							- In the 2PL protocol, transactions acquire and release locks on database
							  objects (e.g., tables, rows) in two distinct phases: the growing phase
							  and the shrinking phase.
						- DONE [#A] How timestamping can ensure serialisability. #flashcard
						  id:: 64842000-07a7-4439-8ce6-7789e0a3358d
							- By using transaction timestamps and enforcing the read and write
							  validation checks, concurrency control mechanisms can ensure that
							  transactions are executed in a way that maintains data consistency and
							  serializability.
					- ==DONE Recovery Control==
						- DONE Some causes of database failure.
							- System crashes, resulting in loss of main memory.
							- Power failures
							- Disk crashes, resulting in loss of parts of secondary storage.
							- Application software errors.
							- Natural physical disasters.
							- User mistakes.
							- Sabotage.
						- DONE Purpose of transaction log file. #flashcard
						  id:: 64841f8f-5a9e-4f22-8f51-47931937998a
							- Contains information about all updates to
							  database:
								- Transaction records.
								- Checkpoint records.
								- Often used for other purposes (for example, auditing).
							- For autiding
						- DONE Purpose of checkpointing. #flashcard
						  id:: 64841f91-1d24-49f6-9f83-7c8b565c647f
							- When failure occurs, redo all transactions that
							  committed since the checkpoint and undo all
							  transactions active at time of crash.
				- DONE Normalization
				  background-color:: yellow
					- DONE Functional dependencies [g4g](https://www.geeksforgeeks.org/types-of-functional-dependencies-in-dbms/) #flashcard
					  id:: 648428e1-e704-4e23-941d-af9833de6f93
						- In a relational database management, functional dependency is a concept
						  that specifies the relationship between two sets of attributes where one
						  attribute determines the value of another attribute. It is denoted as **X → Y**, where the attribute set on the left side of the arrow, **X** is called **Determinant** , and **Y** is called the **Dependent**.
					- DONE BCNF vs. 3NF
					  :LOGBOOK:
					  CLOCK: [2023-06-01 Thu 17:38:55]--[2023-06-01 Thu 17:38:56] => 00:00:01
					  :END:
					- DONE kinds of NF [tutorial](https://www.geeksforgeeks.org/normal-forms-in-dbms/)
						- First Normal Form (1NF): :-> This is the most basic level of
						  id:: 648974ba-7334-4e73-a0ae-6b8fc6ec99ab
						  normalization. In 1NF, each table cell should contain _only a single value, and each column should have a unique name_. The first normal form helps to eliminate duplicate data and simplify queries.
						- Second Normal Form (2NF): :-> 2NF eliminates redundant data by requiring that each _non-key attribute_ be ==dependent on the primary key==. This means that _each column should be directly related to the primary key_, and not to other
						  id:: 648974ba-cc9e-4cdf-a312-3af1bcab23f2
						  columns.
						- Third Normal Form (3NF): :-> 3NF builds on 2NF by requiring
						  id:: 648974ba-f325-450e-aede-9a7d92bcf888
						  that _all non-key attributes are **independent** of each other._ This means that each column should be **directly related to the primary key**, and not to any other columns in the same table.
						- Boyce-Codd Normal Form (BCNF): :-> BCNF is a stricter form of 3NF that ensures that each determinant in a table is a candidate key. In other words, BCNF ensures that _each non-key attribute is dependent **only on the candidate key**._
						  id:: 64842000-c15a-4b8f-95c3-d6c6e49e4af0
						- Fourth Normal Form (4NF): 4NF is a further refinement of BCNF that ensures that _a table does not contain any multi-valued dependencies._
						- Fifth Normal Form (5NF): 5NF is the highest level of normalization and involves decomposing a table into smaller tables to _remove data redundancy and improve data integrity._
					- Anomaly
						- Update Anomalies #flashcard
						  id:: 6489a420-c0cb-4360-b34f-26a3a01ff46a
							- Insertion anomalies
								- If there is a new row inserted in the table and it creates the
								  inconsistency in the table then it is called the insertion anomaly. For
								  example, if in the above table, we create a new row of a worker, and if
								  it is not allocated to any department then we cannot insert it in the
								  table so, it will create an insertion anomaly.
							- Deletion anomalies
								- If we delete some rows from the table and if any other information or
								  data which is required is also deleted from the database, this is called
								  the deletion anomaly in the database. For example, in the above table,
								  if we want to delete the department number ECT669 then the details of
								  Rajesh will also be deleted since Rajesh's details are dependent on the
								  row of ECT669. So, there will be deletion anomalies in the table.
							- Modification anomalies
								- When we update some rows in the table, and if it leads to the
								  inconsistency of the table then this anomaly occurs. This type of
								  anomaly is known as an updation anomaly. In the above table, if we want
								  to update the address of Ramesh then we will have to update all the rows
								  where Ramesh is present. If during the update we miss any single row,
								  then there will be two addresses of Ramesh, which will lead to
								  inconsistent and wrong databases.
			- DONE Block 4
				- DONE Distributed DBMS
					- DONE client server arch #flashcard
					  id:: 648974ba-9c11-4816-9d5e-0623dc4d4d45
						- Computers (client) connected over wired or wireless local area network (LAN)
						- The database itself and the DBMS are stored on a central device called the database server, which is also connected to the network.
					- Distributed Database #flashcard
					  id:: 648974ba-b13a-4f3f-8409-ea02b5ef5894
						- A logically interrelated collection of shared data (and a description of this data), physically spread over a computer network.
					- Distributed DBMS #flashcard
					  id:: 648974ba-997c-4f43-b2d6-d972cfc23d36
						- Software system that permits the management of the distributed database and makes the distribution transparent to users.
					- the key issues #flashcard
					  id:: 648974ba-4c63-4215-b420-d537c2a93675
						- Fragmentation
						- Allocation
						- Replication
					- importance and different types of fragmentation #flashcard
					  id:: 648974ba-07aa-4c51-aa70-1c8dfb4570e7
						- Horizontal
						- Vertical
						- Mixed
					- different types of transparency #flashcard
					  id:: 648974ba-6db5-4d3a-af62-1695e7c3a9b7
						- Distribution Transparency: The database feels as a single, logical entity
						- Transaction Transparency: Ensures that all distributed transactions maintain distributed database’s integrity and consistency.
						- Performance Transparency: must perform as if it were a centralized DBMS.
					- DONE advantages and disadvantages of distributed databases #flashcard
					  id:: 6489c210-385e-483b-aa5c-dbe688c5f43b
						- Advantages
							- Reflects organizational structure
							- Improved shareability and local autonomy
							- Improved availability
							- Improved reliability
							- Improved performance
							- Economics
							- Modular growth
						- Disadbantages
							- Complexity
							- Cost
							- Security
							- Integrity control more difficult
							- Lack of standards
							- Lack of experience
							- Database design more complex
				- DONE XML
					- DONE XML definition and basic concepts #flashcard
					  id:: 648974ba-afab-457e-9633-488450e9e16f
						- eXtensible Markup Language
						- A meta-language (i.e. a language for describing other languages) that
						  enables designers to create their own customised tags to provide
						  functionality not available with HTML.
					- DONE Relational model versus XML #flashcard
					  id:: 648974ba-d417-4eef-be28-46cd5894c5c7
						- SQL
							- is a special-purpose programming language
							- You can: manage data in a relational databases.
						- XML
							- is a markup specification language
							- You can: design ways of describing information (text or data), usually for storage, transmission, or processing by a program (you can use it in combination with a programming language).
							- It says nothing about what you should do with the data (although your choice of element names may hint at what they are for).
					- DONE Well-formed XML, Valid XML #flashcard
					  id:: 648974ba-fb70-4207-8010-a8ddda35ccf7
						- Adheres to basic structural requirements - Single root element
						- Matched tags, proper nesting
						- Unique attributes within elements
					- DONE DTD, XSD
						- DTD: Defines the valid syntax of an XML document
						- XSD: a more comprehensive method of defining content model of
						  an XML document.
					- DONE Practice reading and writing XML, XSD
				- DONE Data Mining
					- concept #flashcard
					  id:: 648974ba-bf4c-4046-b7ce-510596ad421a
						- The process of extracting valid, previously unknown, comprehensible,
						  and actionable information from large databases and using it to make
						  crucial business decisions.
					- different applications #flashcard
					  id:: 648974ba-7440-4ac2-8730-b33e9f50570c
						- Retail / Marketing
						- Banking
						- Insurance
						- Medicine
					- basic techniques
						- predictive modelling, #flashcard
						  id:: 648974ba-a007-420c-87db-1a029c1a39e6
							- uses observations to form a model of the important characteristics of some
							  phenomenon
						- database segmentation, #flashcard
						  id:: 648974ba-18a0-474e-96de-6a824969d0ec
							- Uses unsupervised learning to discover homogeneous subpopulations in a database to improve the accuracy of the profiles.
						- link analysis, #flashcard
						  id:: 648974ba-0868-469f-9b8f-94a44163c87f
							- Establishing links, called associations, between the individual
							  records, or sets of records, in a database.
						- deviation detection. #flashcard
						  id:: 648974ba-a77e-47ba-9f0d-6ed14e880333
							- Identifies outliers, which express deviation from some previously
							  known expectation and norm.
				- DONE NoSQL
					- the motivation for NoSQL #flashcard
					  id:: 648974ba-91af-424f-b392-928e947740de
						- By giving up ACID constraints, one can achieve
						  much higher performance and scalability.
					- explain the concepts of NoSQL #flashcard
					  id:: 648974ba-370b-44a8-9474-5b58d1d0dd28
						- NoSQL databases (aka "not only SQL") are non-tabular databases and store
						  data differently than relational tables. NoSQL databases come in a
						  variety of types based on their data model. The main types are document,
						  key-value, wide-column, and graph. They provide flexible schemas and
						  scale easily with large amounts of data and high user loads.
					- explain the application areas of NoSQL #flashcard
					  id:: 648974ba-b39b-47b7-8b9f-ca9250bef8ba
						- NoSQL is an alternative, non-traditional DB technology to be
						  used in large scale environments where (ACID) transactions are not a priority. (low updates)
						- CAP theorem: #flashcard
						  id:: 648974ba-910d-42ae-89a9-5017194f6827
							- There are 3 main properties for distributed management:
							  1.  Consistency → A data item has the same value at the same time (to
							      ensure coherency).
							  2.  Availability → Data is available, even if a server is down.
							  3.  Partition Tolerance → A query must have an answer, even if the system
							      is partitioned (unless there is a global failure).
						- BASE: #flashcard
						  id:: 6489dbd1-f9aa-47fa-8e9f-dfb2c73eff3c
							- **Basically Available:**
							  Instead of making it compulsory for immediate consistency,
							  BASE-modelled NoSQL databases will ensure the availability of data by
							  spreading and replicating it across the nodes of the database cluster.
							- **Soft State:**
							  Due to the lack of immediate consistency, the data values may change
							  over time. The BASE model breaks off with the concept of a database that
							  obligates its own consistency, delegating that responsibility to
							  developers.
							- **Eventually Consistent**:
							  The fact that BASE does not obligates immediate consistency but it does
							  not mean that it never achieves it. However, until it does, the data
							  reads are still possible (even though they might not reflect reality).
			- DONE Terms in: [chatGPT](https://chat.openai.com/c/db2ea8df-3bd0-4404-98ae-266afdd8fec1)
		- LATER Exercises
			- DONE past year exercise 1
			- DONE past year exercise 2
			- LATER past year exercise 3
	- DONE [[产品开发]] {{renderer :todomaster}}
	  collapsed:: true
	  SCHEDULED: <2023-06-16 Fri>
		- ## 往年题考点
			- ### Prototypes (2019) Topic 12-13
				- Physical prototype, (5 marks) (2019)
				- Analytical prototype, (5 marks) (2019)
				- Comprehensive prototype. (5 marks) (2019)
				- three phases of prototyping ( 2018)
				- uses of prototypes ( 2018)
			- ### Costs (2019) Topic
				- Component costs, (5 marks) (2019) Topic 14
				- Support costs, (5 marks) (2019)
				- Indirect allocations as part of Overhead costs. (5 marks) (2019)
			- ### New products and New product development (2019, 2018)
				- ~~~#### Booz, Allen & Hamilton (1982) Classification Scheme (2019) Topic 17~~~
					- Repositioning (4 marks) (2019)
					- four (4) elements through which products can be differentiated (2019)
					- the five alternatives that are open to the firm ( 2018)
					- kinds of new products identified by Booz Allen and Hamilton ( 2018)
					- four elements where values can be added to the basic or ‘core’ product to augment its appeal ( 2018)
				- ~~~Product life cycle (2019) Topic 17~~~
			- ### system-level design (2019) Topic 11
				- product architecture (2019)
				- key characteristics of modular and integral architecture. (2019)
				- three (3) main types of modular architecture. (2019)
			- ### IP ( 2018) Topic 10
				- the concept ( 2018)
				- what sort of intellectual property copyright can protect and what form of protection it gives. ( 2018)
				- benefits and limitations of using patents ( 2018)
		- LATER See past exam papers
		- DONE 整理 ppt
		  deck:: 2023t1/product
			- DONE Week 1
			  deck:: 2023t1/product/w1
				- ## Topic 2: Project Management
				  id:: 648581e7-cc5c-4514-9c2a-0b6af4adc5bb
				  deck:: 2023t1/product/w1/t2
				  collapsed:: true
					- **Define** what is project management #flashcard
					  id:: 648adeaf-c6bf-4613-9ec3-698ac0ad2f1f
						- For all but the simplest products, product development involves many people completing many different tasks.
						- is the activity of planning and coordinating resources and tasks to achieve these goals.
					- Two Phases of **PM** #flashcard
					  id:: 648adeaf-3b38-4615-a104-f6bdcc2226a6
						- Project planning involves scheduling the project tasks and determining resource requirements. The project plan is first laid out during the concept development phase, although it is a dynamic entity and continues to evolve throughout the development process.
						- Project execution, sometimes called project control, involves coordinating and facilitating the myriad tasks required to complete the project in the face of inevitable unanticipated events and the arrival of new information. Execution is just as important as planning; Many teams fail because they do not remain focused on their goals for the duration of the project.
					- **Project Planning**: Understand and represent different tasks in projects
						- Sequential, Parallel, and Coupled Tasks
							- ![image.png](../assets/image_1686471430664_0.png)
						- The Design Structure Matrix
							- **Definition** :-> A useful tool for representing and analysing
							  id:: 648adeaf-4d04-4e42-8de2-46c0f9504b6a
							  task dependencies is the design structure matrix
							  (DSM).
							- Working: #flashcard
							  id:: 648adeaf-8bc0-4375-9aab-dfee9ce1def6
								- A project task is assigned to a row and a corresponding column.
								- The rows and columns are named and ordered identically, although generally only the rows list the complete names of the tasks. Each task is defined by a row of the matrix.
								- We represent a task’s dependencies by placing marks in the columns to indicate the other tasks (columns) on which it depends.
								- ![image.png](../assets/image_1686471695984_0.png)
								- Reading across a row reveals all of the tasks whose output is required to perform the task corresponding to the row.
								- Reading down a column reveals which tasks receive information from the task corresponding to the column.
								- The diagonal cells are usually filled in with dots or the task labels, simply to separate the upper and lower triangles of the matrix and to facilitate tracing dependencies.
						- Gantt Chart :->  shows how the work is broken down into a set of activities
						  id:: 648afdb9-eed3-47a1-bdf7-42e83a0b1b40
							- Features: #flashcard
							  id:: 648adeaf-7e45-4525-b935-ef9a0357b961
								- They show the scheduling of these activities as a series of horizontal bands against a series of vertical lines representing dates
								- ![image.png](../assets/image_1686471844454_0.png)
								- They can be used to show dependencies between activities
								- They can be used to measure progress on a project or compare planned production with actual production
						- PERT Charts #flashcard
						  id:: 648adeaf-d61b-4215-990a-77f4fa850314
							- PERT (program evaluation and review technique) charts explicitly represent both dependencies and timing, in effect combining some of the information contained in the DSM and Gantt chart.
							- ![image.png](../assets/image_1686471880938_0.png)
						- The Critical Path #flashcard
						  id:: 648adeaf-08be-4aa8-989a-f39a68c2e9a0
							- The _dependencies_ :-> among the tasks in a PERT chart, some of which may be arranged sequentially and some of which may be arranged in parallel, lead to the concept of a critical path.
							  id:: 648afdb9-eeb6-4637-907f-c26da7231fd8
							- The _critical path_ is :-> the longest chain of dependent events. This is the single sequence of tasks whose combined required times define the minimum possible completion time for the entire set of tasks.
							  id:: 648afdb9-a6bc-4521-99e2-a8a69f0c1f1f
					- Undertake a baseline project plan
						- **Definition** :-> project plan is the roadmap for the remaining development effort. The plan is important in coordinating the remaining tasks and in estimating the required development resources and development time.
						  id:: 648585d8-581f-43ea-9aa5-7b0120facaec
					- Do project scheduling
						- Methods: #flashcard
						  id:: 648adeaf-cdc1-464b-94a2-3f5ea4ee8f9b
							- Contract Book
							- Project Task List
							- Team staffing & Organisation
							- Project Schedule
							- Project Budget
							- Project Risk Plan
							- Modifying the baseline plan
					- Accelerate projects #flashcard
					  id:: 648adeaf-9783-4c22-9927-f475b2ae0d1f
						- Product development time is often the dominant concern in project planning and execution. There are a set of guidelines for accelerating product development projects.
							- Start the project early
							- Manage the project scope
							- Facilitate the exchange of essential information
					- **Execute** projects #flashcard
					  id:: 648adeaf-c67c-4f4e-81d6-187a2f7c5fe4
						- Smooth execution of even a well-planned project requires careful attention. Three problems of project execution are particularly important: 1. What mechanisms can be used to coordinate tasks? 2. How can project status be assessed? and 3. What actions can the team take to correct for undesirable deviations from the project plan?
				- ## Topic 3: Opportunity Identification
				  id:: 648594af-3833-4991-a4c2-2e9c8430a122
				  collapsed:: true
					- Opportunity, definition and types
						- Definition: #flashcard
						  id:: 648adeaf-3abe-4b2b-a778-294f4dc92976
							- an idea for a new product
							- It is a product description in an embryonic form
								- a newly sensed need,
								- a newly discovered technology,
								- a rough match between a need and a possible solution
							- It can be thought of as a hypothesis about how value might be created
						- Type #flashcard
						  id:: 648adeaf-a9ac-421b-ad3c-d5d03f7c5e92
							- Ansoff’s growth matrix
							  ![image.png](../assets/image_1686473366617_0.png)
							- Market penetration #flashcard
							  logseq.order-list-type:: number
							  id:: 648adeaf-8f67-40a2-98c0-dc235751d2db
								- **Opportunities** can exist within a business’s existing
								  markets through increasing the volume of sales
								  of existing products
							- market development #flashcard
							  logseq.order-list-type:: number
							  id:: 648adeaf-f669-43b0-88cb-67fbc8e4babb
								- **Opportunities** are said to exist for a business’s
								  products through making them available to new
								  markets
									- e.g. using existing products in new
									  geographical markets
									- e.g. selling your existing products to a new age
									  group of customers
							- product development #flashcard
							  logseq.order-list-type:: number
							  id:: 648adeaf-b69b-4a6f-a7d2-e1bae66e8846
								- **Opportunities**: offering new or improved products to
								  logseq.order-list-type:: number
								  existing markets
							- diversification #flashcard
							  logseq.order-list-type:: number
							  id:: 648adeaf-798a-42ce-b3ff-a36958501057
								- **Opportunities**: Moving into new markets, potentially with a base
								  logseq.order-list-type:: number
								  from your existing product knowledge or
								  diversification through acquisition of other
								  companies
							- Risk #flashcard
							  id:: 648adeaf-3eb7-4324-a291-ff338c5c5b0a
								- The element of risk _increases the further the strategy moves away from known quantities_ the existing product and the existing market
								- **Product development** (requiring, in effect, a new product) and market extension (a new market) involve a greater risk than market penetration
								- **Diversification** (both new products and new markets) generally carries the greatest risk of all
					- Opportunity identification process
						- Establish **a charter**
							- A **charter** :-> articulates **the goals of the organisation**
							  id:: 648adeaf-8034-4b4d-9b8f-c2bd5ac6b4c9
							  (in relation to NPD) and establishes the **boundary
							  conditions for an innovation effort.** Charters can be
							  termed as mission statement for a new product.
						- Generate and sense **many opportunities**
							- Focus has to be both on **internal** and **external** sources of raw opportunities. Some of these are generated: #flashcard
							  id:: 648adeaf-0aae-4f4a-8463-5b3ae3ac5bd3
								- Internally
									- R&D department
								- Externally
									- customer
									- competitive product
									- sales forces
									- collab. with universities
									- investors
									- distribution partners
									- other partner companies
							- Sense opportunities: Where do they come from? #flashcard
							  id:: 648adeaf-b639-4a63-96de-0c6fe8da2f31
								- Passively
								- Proactively #flashcard
								  id:: 648adeaf-2690-4d99-947d-07243006c606
									- Document **frustrations** and **complaints** that current **customers** experience with existing products
									- Interview lead users, with attention devoted to
										- **innovations** by these users and
										- **modifications** these users may have
										  made to existing products
									- **trends**
									- Systematically gather suggestions from **current customers**
									- **Competitors**
									- **Transfer** emerging tech.
						- **R&D**: _Research_ and _Development_
							- **Definition** :-> to develop new knowledge and apply scientific or engineering knowledge to connect the knowledge in one field to that in others
							  id:: 64858d63-a50c-47ac-b805-f31a915f1be2
							- Roles: #flashcard
							  id:: 648adeaf-7c92-47f1-b472-b961486ade03
								- **Discovering and developing** new technologies Improving understanding of the technology in existing products
								- **Improving and strengthening** understanding of technologies used in manufacturing
								- **Understanding research results** from universities and other research institutions
							- Areas: #flashcard
							  id:: 648adeaf-8615-41e8-a04c-750e66439bd7
								- R&D for existing businesses
								- R&D for new businesses
								- R&D for exploratory research
						- **Screen** opportunities
							- Purpose: #flashcard
							  id:: 648adeaf-4e6e-4925-ae4a-fe540da85785
								- to eliminate any opportunities that are **unlikely to result in the creation of value**,
								- to focus attention on the opportunities **worthy of further investigation**
								- **not to** pick the _single best opportunity_!
							- Approach: #flashcard
							  id:: 648adeaf-aee3-42e1-a238-429a8eba8b49
								- Web-based **surveys**
								- Workshops with **multi-voting**: collaborative sessions or meetings where participants engage in a voting process to prioritize or make decisions on various options or ideas.
						- Develop **promising opportunities**
							- Details #flashcard
							  id:: 648adeaf-1eba-4bb8-ae08-7408e2844da3
								- customer interviews,
								- testing of existing products,
								- concept generation,
								- quick prototypes,
								- estimates of market sizes and growth rates.
							- Goal #flashcard
							  id:: 648adeaf-d526-4806-810a-24f52e5820f9
								- resolve the greatest uncertainty surrounding each one at the lowest cost in time and money.
						- Select **exceptional opportunities**
							- Goal #flashcard
							  id:: 648adeaf-b25f-4948-9137-298090ae8c93
								- select a few that warrant a significant investment in product development.
							- Approach:**Real-Win-Worth-it** #flashcard
							  id:: 648adeaf-7e84-444b-9edc-54cb1d8aab8c
								- **Real**: Is the opportunity real?
								- **Win**: Can you win with this opportunity?
								- **Worth** It: Is it worth doing?
						- **Reflect** on the result and process.
						  id:: 648adeaf-d942-4fb1-a500-a6f66a6723e4
						  Ask the following questions: #flashcard
							- **How many** of the opportunities identified came from internal sources versus external sources?
							- Did we consider **dozens or hundreds** of opportunities?
							- Was the innovation charter **too narrowly focused**?
							- Were our filtering criteria **biased**, or largely based on the best possible estimates of eventual product success?
							- Are the resulting opportunities **exciting** to the team?
					-
				- ## topic 4 产品规划 Product Planning
				  collapsed:: true
					- 概念 #flashcard
					  id:: 648adeaf-4cad-4231-828e-13102f6cea50
					  产品规划 (product planning)流程发生在一个产品开发项目正式启动，大量的资源开始使 用及更大的开发团队形成之前。该流程将确定一个公司应该从事的项目组合 (portfolio, 或译 为项目投资组合),并决定什么时候从事什么子项目。产品规划流程确保产品开发项目可以支持公司未来更多的商业策略·This phase takes place before a product development project is formally approved·It takes place before substantial resources are applied ·It takes place before the larger development team is formed ·Product planning is an activity that ·considers the portfolio of projects that an organisation might pursue. i.e. what mix of new products and markets to develop, if they focus is on basic or applied research or diversification projects and ·determines what subset of these projects will be pursued over what time period
					- 步骤 #flashcard
					  id:: 648adeaf-062d-4ec0-ae96-8aee97541d41
						- (1)确认市场机会 Identify Opportunities
							- 规划流程始于对产品开发机会的识别，这种机会可能包括上述四种类型项目中的任何一 种。这一步可以看成是机会漏斗 (opportunity funnel), 因为它将来自整个公司的各种投入汇聚到一起。每个想法应该有一个简短的描述，包括产品概念、市场机会等。把这些想法方放到一起然后进行筛选·The first stage of the planning process is to identify product development opportunities·Each of the ideas should be expanded into a short description – including the potential business opportunity·These ideas can then be stored and revisited later·Each of the ideas should have a ‘champion’ who is responsible for supporting the idea through theprocess
						- 项目评价和优先级排序 Evaluate and prioritise projects
							- 如果能实施有效的管理，机会漏斗在一年中可以收集成百上千个机会，这些机会中有些对于企业的其他活动没有意义，因为在多数情况下，有太多的机会要求企业立即去把握。因 此，产品规划流程的第二步就是要选出最有希望的项目。对已有产品领域中新产品机会进行 评价和优先级排序时，需要仔细讨论以下四个基本方面：竞争策略、市场细分、技术曲线和产品平台。·In this step, the organisation is looking to decide which of the projects to pursue·There are four perspectives that can be used to assist in the evaluation and analysis of each of the projects l Competitive strategy l Market segmentation l Technological trajectories l Product platforms 在这么多提交上来的想法和项目中你要进行选择，选择一个好的项目最主要的是看它能不能挣钱。可以从以下四个角度去思考：1.技术曲线：有没有能力做成这个项目 2.产品平台：能不能做成一系列产品 3.市场细分：产品投放到哪，以及市场定位是什么 4.竞争策略：怎么在同类型产品中脱颖而出，占据市场
						- 竞争策略 competitive strategy 决定了它在市场和产品上针对竞争者的基本运作方法 #flashcard 
						  id:: 648adeaf-32ed-4584-af75-bc7392e2f6a9
						                * - ● 技术优势 (technology leadership): 为实施这一策略，企业必须强调新技术的研究和开发，并将其应用到产品开发流程中。 A focus on basic research and development of new technologies
						                * - ● 成本优势 (cost leadership): 这一策略要求企业在生产效率上进行竞争，可以实行规模经济，使用先进的制造方法和低成本的劳动力，或者引入更好的管理生产系统。Competitive focus on production efficiency
						                * - ● 以顾客为中心 (customer focus): 为实施这一策略，企业必须跟新老顾客保持密切联系以评价其需求和偏好的变化。精心设计的产品平台有助于快速开发拥有满足顾客 偏好的新特点或新功能的派生产品。这种策略将造就用来满足不同层次顾客需求的多种产品生产线。 The organisation works closely with customers to assess changing needs and preferences
						                * - ● 模仿策略 (imitative): 这一策略要求紧跟市场趋势，允许竞争者探索每一部分已获成功的新产品。当确定了可行机会之后，企业快速开始模仿成功竞争者的新产品。快速的 发流程对于这一策略的有效实施至关重要 When a clear opportunity has been identified and has been successful, the organisation launches a competitive version.
						                * - 市场细分 Market Segmentation 一般认为顾客属于市场的不同部分。把市场分为不同的部分，使企业能够按照各详细定义的顾客群来考虑竞争者的行动和企业已有产品的市场力度。通过将竞争者的产品和企业自己的产品对应到各个细分市场，企业就可以评价哪些产品机会最好，以揭示出企业自身的(或竞 争者的)产品生产线问题 Divide the market into segments in order to be more focused on the customer and competitors
						                * - 技术曲线 Technological Trajectories 在技术密集型企业，产品规划的关键决策是什么时候在生产线上采用一种新的基本技术。When to shift to implementation of the new technology as part of the core product range
						                * - 产品平台规划 Product Platform Planning 产品平台是指由一系列产品共享的一整套资产。通常，零件和部件是这些资产中最重要的部分。 一个有效的平台可以更快更容易地制造出许多衍生品，每种产品提供一个特定细分市场所需要的特点和功能由于平台开发项目在时间和资金上的消耗是衍生品开发项目的 2 ～ 10 倍，企业不可能使 每个项目都成为平台开发项目
						- 评 价 全 新 产 品 的 机 会（这个不是四个基本方面里的，但 PPT 里写出来了，应该是指在四个基本方面结束/以外的评估方法）除了已有产品领域的新型产品之外，企业还将面对许多机会，如新的市场或全新技术。 尽管在使用新技术或为进入新市场而进行的产品开发中投入紧缺资源有很大风险，但是这 种投入对于定期更新产品组合是必要的 #flashcard
						  id:: 648adeaf-a0fd-48ac-b086-2996279b109b
							- ● 市场规模(单位/年 · 平均价格)
							- ● 市场增长率(每年百分比)
							- ● 竞争激烈程度(竞争者的数量和实力)
							- ● 企业对市场的了解程度
							- ● 企业对技术的了解程度
							- ● 与企业其他产品的匹配
							- ● 与企业能力的匹配
							- ● 专利、商业秘密或其他竞争障碍的潜在压力
							- ● 企业中冠军产品 (product champion) 的存在 l Market size (units/year x average price)l Market growth rate (percent per year)l Competitive intensity (number of competitors and their strengths)l Depth of the firm’s existing knowledge of the marketevaluation criteria (contd.)l Depth of the firm’s existing knowledge of the technologyl Fit with the firm’s capabilitiesl Fit with the firm’s other productsl Potential for patents, trade secrets or other barriers to competitionl Existence of a product champion within the firm
						- (3)资源分配和时间安排 Allocate resources and plan timing
							- 资源分配 Resource Allocation 如果公司开发太多的项目而不考虑开发资源的有限性，那么有经验的工程师和经理就会被分配到越来越多的项目上，生产效率急剧下降，项目完成时间延长，产品上市迟缓，利润水平低下。l Over commitment of resources will inevitably lead to a drop in productivity l An example of over commitment would be allocating engineers and managers to more than one project (where they are already at full capacity working on one)
								- 综合计划（这个也不属于它列出来的两个之一，但也不是总的概括。我也不知道 PPT 为什么放到资源分配之后，感觉是资源分配的一个概括，就先放着了）
							- 项目时间安排 Project Timing #flashcard
							  id:: 648adeaf-1ab0-4f0f-800a-58d2dc1f7d80
								- 产品上市时间： 通常情况下产品上市越快越好。但是，产品质量未达标就上市，会损害企业的声誉。Timing of product introductions - Time to Market (TTM)
								- 技 术 储 备 ：基础技术的稳健性对于规划流程十分重要。 一 种被证实了的、成熟度高的技术可以快速可靠地集成到产品中去。 Technology readiness
								- 市场准备： 产品上市的顺序决定了最初使用者的购买意图 — — 是先购买低端产品，再买 更高价的产品，还是直接购买价格高的高端产品。 一方面，改进的产品上市太快，会打击紧追产品更新步伐的顾客；另一反面，新品上市太慢会面临落后于竞争者的风险。 Market readiness
								- 竞 争 ：竞争性产品的预期上市将会加快开发项目的进度。Competition
									- product planl This is the set of projects approved by the planning processl These are sequenced in time l The plan may include a mix of fundamentally new products, platform projects and derivative projects l The updating of these plans is usually undertaken on a periodic basis e.g. quarterly or annually（这个同样不属于资源分配和时间安排里的两步，但是 PPT 放上去了）
						- (4)完成项目前期规划 Complete pre-project planning
							- 当项目确定下来，但是还未进行物质资源的分配时，就需要进行项目前期规划。这一过程涉及一个小的跨职能团队，通常被称为核心团队 (core team)，分别代表技术、市场、制造和服务部门等多方。¡ After project approval, but before the commitment of resources, a pre-project planning activity takes place¡ This activity involves a small, cross-functional team – the Core Team
							  id:: 648adeaf-912a-48e7-989a-170e51c95b02
							                * 任务陈述（mission statement） 
							                * - ● 对产品的概括性描述 (用一句话描述):这一描述通常包括产品的主要用途，但要避免包含特定的产品概念。实际上它可以是产品的前景说明。 A brief description of the product
							                * - ● 获益方案 (或称为获益建议， benefit proposition): 这一部分阐述了顾客会购买商品的几个关键原因。Typically includes the key customer benefit of the product
							                * - ● 主要商业目标： 除了支持公司战略的项目目标之外，这些目标通常包括时间、成本和质量目标(如产品的上市时间、预期财务效益和市场份额目标等)。 ¡ The goals which support the corporate strategy ¡ The goals for l Time e.g. timing for product introduction l Cost e.g. desired financial performance l Quality
							                * - ● 产品目标市场： 每一种产品可能会有几个目标市场。任务陈述的这一部分确定了一级市场和二级市场。 Target market for the product Primary and secondary markets that should be considered in the development effort
							                * - ● 指导开发工作的设想和限制： 必须仔细地制定设想，尽管它会限制可能的产品概念范 围，但是它有助于项目管理。有关设想和限制的决策信息可以附加到任务书中。 Assumptions and constraints that guide the development effort
							                * - ● 利益相关者 (stakeholder): 确保开发流程中的细微问题均被考虑到的一种方法是，清楚地列出产品的所有利益相关者，也就是所有受产品成败影响的人群。利益相关者列表以末端使用者(最终的外部顾客)和做出产品购买决定的外部顾客开始，包括企业内 部与产品相关的人，如经销商、服务商和生产部门。利益相关者列表可以提醒团队考 虑被产品影响到的每个人的需求。¡ List all of the product’s stakeholders to ensure that many of the subtle development issues are addressed ¡ The list of stakeholders serves as a reminder for the team to consider the needs of everyone who will be influenced by the product
						- (5)对结果和过程进行反思 Reflect on the results and the process
							- 在规划流程的最后一步，团队应该问几个关于评价过程和结果质量的问题。我们推荐的问题是：
							                * ● 机会漏斗收集到各种令人激动的产品机会了吗?
							                * ● 产品规划支持企业的竞争策略吗?
							                * ● 产品规划是否针对企业现在面临的最重要的机遇?
							                * ● 分配给产品开发的资源足以贯彻企业的竞争策略吗?
							                * ● 使有限资源发挥最大作用的方法被充分考虑了吗?例如产品平台的使用、合资，以及 与供应商合作等。
							                * ● 核心团队接受最终任务书的挑战了吗?
							                * ● 任务书的各个部分一致吗?
							                * ● 任务书的假定条件真的必要吗?项目的限制过多吗?开发团队能自由开发最好的产 品吗?
							                * ● 怎样才能改进产品规划流程?
							- 不重视产品开发的公司所面临的的问题
							  ● 不能以有竞争力的产品占有足够的目标市场份额。
							                * ● 产品引入市场的时间安排不合理。
							                * ● 总开发能力与所从事的项目数量不匹配。
							                * ● 资源分配不合理， 一些项目人员过多而另外一些却人手不足。
							                * ● 构思错误的项目，启动后又取消。
							                * ● 项目方向经常变动。l ·Inadequate coverage of target markets with competitive products l ·Poor timing of market introductions of products l ·Mismatches between aggregate development capacity and the number of projects pursued l ·Poor distribution of resources, with some projects overstaffed and others understaffed l ·Initiation and subsequent cancellation of illconceived projects l ·Frequent changes in the directions of projects
					- 产品开发的四种类型 #flashcard
					  id:: 648adeaf-e57f-4391-941d-e3eb842cf401
						- ● 全新产品 (fundamentally new products): 这类项目涉及全新的产品或生产技术，并由此进入一个新的、不熟知的市场。这种项目本质上存在更大的风险，但是，公司的长期成功可能要依赖从这种重要的项目中获得的经验。New product or production technology for new and unfamiliar markets
						  新产品平台 (new product platform): 这类项目主要致力于在一个新的通用平台基础开发出一个新产品家族，这一新产品家族将进入相关市场和产品领域。New products for familiar markets and product categories
						- ● 已有产品平台的衍生品 (derivatives of existing product platform): 这类项目是在已有产品平台上进行扩展，用一种或多种新产品更好地占有相关市场。Projects extend an existing product platform to better addresses familiar markets with one or two more products
						- ● 对已有产品的改进 (incremental improvements to existing products): 这类项目只是增加或改进已有产品的特点，以使生产线跟上潮流和具有竞争力。May only involve adding or modifying some features of existing products to keep the product line current and competitive
				- ## Topic 5: Identify Customer Needs (Preliminary of Concept Development)
				  id:: 64859157-dc41-453d-95ea-39e2280ea735
				  collapsed:: true
					- **Market Research** for NPD (New Product Development)
						- **Definition** :-> the function that links the consumer, customer
						  id:: 648adeaf-8e4d-45b4-bfb1-048cc3f2da61
						  and public to the marketer through information
						  – information used
						- **Goal**: #flashcard
						  id:: 648adeaf-fd48-4e98-aca8-0f44f0a6b478
							- to identify and define marketing opportunities and problems;
							- to generate, refine and evaluate marketing actions;
							- to monitor marketing performance;
							- to improve understanding of the marketing process
						- When to use it?
						  ![image.png](../assets/image_1686475631266_0.png)
					- **Gather** raw **data** from customers #flashcard
					  logseq.order-list-type:: number
					  id:: 648adeaf-3531-4f3e-a109-f93735a1ba1b
						- **Interviews**: One or more development team members discuss with a single customer
						- **Focus groups**: A moderator facilitates a two-hour discussion with a group of 8 or 12 customers
						- **Observing** the product in use
						- **Surveys**: direct mail or web-based questionnaires;
					- **Interpret** the raw **data** in terms of customer needs #flashcard
					  logseq.order-list-type:: number
					  id:: 648adeaf-4f6e-407d-b13f-4edbf4d3040d
						- The data gathered in Step 1 then has to be used to
						  express the customers’ needs in terms of what the
						  product has to do, not in terms of how it might do
						- Use positive, not negative phrasing
						- Express the needs as attributes of the product
					- Organize **the needs** into a hierarchy of needs
					  logseq.order-list-type:: number
						- **Structure** the needs into #flashcard
						  id:: 648adeaf-fd65-423d-b7b7-1a3078a23fab
							- **Must-haves** – _“I wont buy without”_
							- **Delighters** – _“What an unexpected treat”_
							- **Linear Satisfiers** – _“The more the merrier”_
							- **Neutrals** – _“No big deal”_
						- This is the _Kano_ classification
						- Consumer needs can be very **elusive**
						- **Intuitions** are often wrong
					- Establish the **relative importance** of the needs #flashcard
					  logseq.order-list-type:: number
					  id:: 648adeaf-eb26-44b8-9d91-4cf891c7fc22
						- Measuring **preference** is central to market research
					- **Reflect** on the results and the process
					  logseq.order-list-type:: number
						- Questions to ask: #flashcard
						  id:: 648adeaf-ad74-4dde-a94d-fcae5b2f4bb0
							- Have we interacted with all **important customers** in
							  our target market?
							- Can we see the **latent needs** of customers beyond
							  our current product range?
							- Can we **further involve** any of the customers in our
							  product development?
							- Did we involve the **right people** in our organisation?
							- Can we **improve** our process?
			- DONE Week 2
			  deck:: 2023t1/product/w2
				- ## Topic 6 - Phase 1: Concept Development 概念开发
				  id:: 6482bafb-b96b-44c3-834b-8b4966c1dc0c
				  deck:: 2023t1/product/w2/t6
					- What is Concept Development? 概念开发是什么 #flashcard
					  id:: 648adeaf-0ddf-46dc-a1ad-0ad4b31fdd1a
					  collapsed:: true
						- The needs of the target market are identified
						  Alternative product concepts are generated and
						  evaluated 需求
						- One or more concepts are selected for further
						  development and testing 多种概念被生成，经过挑选后选择其中一个
						- A concept is a description of the form, function
						  and features of a product 概念是一个产品的描述，功能和特性
						  Evaluation and screening criteria are used to aid
						  in the selection 评估和测试可以辅助选择（screen = test）
						- Usually accompanied by a set of specifications, an
						  analysis of competitive products and an economic
						  justification for the project 伴随着来自个方面的要求，与竞争对手的比较和分析，还有经济方面的考虑（能不能赚钱）
						- This can be concluded as 图解如下
						- ![image.png](../assets/image_1686289806889_0.png)
					- #### Identify Customer Needs 用户需求是什么 #flashcard
					  id:: 648adeaf-2226-4c18-87eb-3053656b2e91
					  collapsed:: true
						- to understand customers needs,
						  then to effectively communicate them to the
						  development team 和研发队伍沟通
						  The output of this step is:
						  Customer need statements organised in a
						  hierarchical list, with importance weightings
						  for many or all of the needs 把用户的需求整理成加权列表
					- #### Establishing target specifications 确立规格要求 #flashcard
					  id:: 648adeaf-5121-4337-9752-7ec836ad4c56
					  collapsed:: true
						- 1. Prepare the list of metrics, i.e. the technical or
						     manufacturing features of the product based on
						     the customer needs 准备一些数据的列表
						- 2. Collect competitive benchmarking information 竞争对手的产品性能
						- 3. Set ideal and marginally acceptable target values 理想的和可接受的要求
						- 4. Reflect on the results and the process 通过结果和进一步完善
					- #### Concept generation 想一个概念
					  collapsed:: true
						- Steps: #flashcard
						  id:: 648adeaf-5da3-4fba-adaa-1f13b027770a
						  collapsed:: true
							- external search 在外面搜索
							- creative problem solving within the team, and 团队灵机一动
							- systematic exploration of the various solution
							  fragments the team generates 系统地寻找解决方法
						- The result of this activity is usually a set of 10-20
						  concepts – each is typically represented by a sketch
						  and a brief descriptive text 产生 10-20 个概念
						- ![image.png](../assets/image_1686289726119_0.png)
					- #### Concept selection 选一两个出来 #flashcard
					  id:: 648adeaf-c28e-4998-b7ac-d3c5edabfe1e
					  collapsed:: true
						- the activity in which various
						  product concepts are analysed and sequentially
						  eliminated to identify the most promising
						  concept(s)
						- ![image.png](../assets/image_1686289907417_0.png){:height 564, :width 688}
						- There are 5 stages to the screening and
						  id:: 648adeaf-63e1-4b70-bb5e-b41aa40a665c
						  collapsed:: true
						  evaluation process: 用以下方式选择好的概念 #flashcard
							- 1.  Initial screen - The key evaluation criteria given in the table on the
							      previous slides can be developed further using a
							      scoring model or weighted checklist 用之前的要求测试
							- id:: 648afdb9-8b42-4bdb-833d-659318935512
							  2.  Customer screen - An informal discussion with customers to
							      explain a concept 和客户沟通 #flashcard
								- informal technical discussions with experts
								- extensive analysis by a 3 rd party
								- Involves the use of screening models and computer assessment programs
								- apreliminary marketing plans,
								- technical plans,
								- financial reviews and
								- projected budgets
					- #### Concept testing 测试
					  collapsed:: true
						- There are 7 steps to this process #flashcard
						  id:: 648adeaf-9fef-44f8-a1da-71324dfce1a1
						  collapsed:: true
							- 1.  Define the purpose of the concept test 定义测试的目的
							- 2.  Choose a survey population 选问卷调查的目标对象
							- 3.  Choose a survey format 格式
							- 4.  Communicate the concept 和目标对象沟通这个概念
							- 5.  Measure customer response 客户怎么想
							- 6.  Interpret the results 分析结果
							- 7.  Reflect on the results and process 用结果改进
					- #### Setting final specifications 最终规格
					             Target specifications are revisited after a concept has been selected and tested
					- #### Project planning 计划
					  collapsed:: true
						- The final activity of concept development
						- Steps: #flashcard
						  id:: 648adeaf-5cfc-4ef2-8ba3-53278f179e33
							- creates a detailed development schedule 产品开发时间线
							- devises a strategy to minimise development time and 定一个计划
							- identifies the resources required to complete the project 需求是什么
					- #### Economic analysis
					  collapsed:: true
						- 拿出去卖亏不亏钱
					- #### Benchmarking & modelling
					  collapsed:: true
						- 和竞争对手比较，品质行不行
				- ## Topic 7: Innovation
				  id:: 64857305-2925-485f-9aed-e15511b42149
				  deck:: 2023t1/product/w2/t7
					- ### Definition of Innovation #flashcard
					  id:: 648adeaf-19e3-4987-a5d1-d0f6b21e814e
						- Innovation is :-> successful implementation of a new or
						  id:: 648b42e9-846d-441d-9588-5878b036cc53
						  significantly improved product (good or service), or
						  process, a new marketing method, or a new
						  organisational method in business practices,
						  workplace organisation or external relations.
					- ### Categories:
						- Product innovation
							- Advantages #flashcard
							  id:: 648ba6cf-fb81-49b4-88fc-585414facef1
								- Increased market share
								- Public relations – e.g. news coverage
								- Enhanced reputation as an innovative company
								- Opportunity to build early customer loyalty
								- Added value
								- However, creation of
								- Higher prices and profitability
								- some innovative
								- products can instigate
								- Competitive advantage
						- Process innovation
							- Advantages #flashcard
							  id:: 648ba6dd-3e44-4c80-a5ad-cd24eeaa972b
								- Reduced costs
								- Improved quality
								- More responsive customer service
								- Greater flexibility
					- ### Types of Innovation
					  id:: 648adeaf-1355-48de-91ae-ea4bc4b4d816
					  There are different types of innovation, including: #flashcard
						- Product Innovation The development of a new or improved product
						- Process innovation The development of a new manufacturing
						  process
						- Organisational innovationA new venture division, a new internal
						  communication system, introduction of a new
						  accounting procedure
						- Management innovationTQM (Total Quality Management) systems. BPR
						  (business process re-engineering)
						- Production innovationQuality circles, just-in-time (JIT) manufacturing
						  system, new production planning software
						- Commercial/marketing innovation New financing arrangements, new sales
						  approach e.g. direct marketing, e-commerce
						  Service innovation Telephone financial services or on-line services
						  e.g. customer support
					- ### Models of Innovation
					  id:: 648adeaf-2f3b-4ccc-a949-915a03aac808
					  Innovation can follow different models, such as: #flashcard
						- Linear model: involves a sequential process of research, development, and commercialization.
							- Technology push
							- Market pull
							- Universities & industry liaison
						- Simultaneous coupling: involves a continuous process of feedback and iteration.
						- interactive: takes simultaneous coupling one step further,  Innovations occur due to work in universities, industry and from market demand
					- ### Characteristics of Innovative Companies
					  id:: 648adeaf-9213-4326-9e55-82d61f9a3b0c
					  Innovative companies share certain characteristics, such as: #flashcard
						- A willingness to take risks and experiment with new ideas.
						- A focus on customer needs and preferences.
						- A culture that encourages creativity, collaboration, and learning.
						- A commitment to continuous improvement and innovation.
					- ### Strategies for Fostering a Culture of Innovation
					  id:: 648adeaf-8bb5-48bc-b238-aa0f9c52f7e4
					  Companies can foster a culture of innovation by: #flashcard
						- Providing resources, such as funding, time, and expertise, to support innovation initiatives.
						- Encouraging collaboration and cross-functional teams.
						- Rewarding creativity and risk-taking.
						- Creating a supportive and inclusive work environment.
					- ### Examples of Innovative Companies and Products
					  collapsed:: true
					  There are many examples of innovative companies and products, such as:
						- Apple: known for its innovative products, such as the iPhone and iPad.
						- Tesla: known for its innovative electric vehicles and renewable energy solutions.
						- Sinclair C5: an innovative electric vehicle developed in the 1980s that was ahead of its time.
					- ### Further Resources
					  The PDF provides links to further resources for learning about innovation, such as a video and short videos about new inventions. These resources can help individuals and companies stay up-to-date on the latest trends and developments in innovation and product development.
				- ## Topic 8: Digital Transofrmation and Digital Products
				  id:: 64857305-a186-4927-890d-607f66d97f95
				  collapsed:: true
					- Digital Transformation
					  collapsed:: true
						- Terms
						  collapsed:: true
							- **Digitisation** is :-> the process of converting information from analog to digital.
							  id:: 64856c7b-d844-4f23-845c-1c4b74eebc0c
							- **Digitalisation** is :-> the process of using digitised information to make established ways of working simpler and more efficient.
							  id:: 64856c7b-9aea-4afe-a16d-b0f7a61a2bcc
							- **Digital transformation** is :-> the process of using digital technologies to create new — or modify existing — business processes, culture, and customer experiences to meet changing business and market requirements
							  id:: 64856c7b-6270-4c9a-9f96-920cc6d57636
						- **Types** of Digital transformation #flashcard
						  id:: 648adeaf-d4a0-44f6-bbc3-a9d21a773c69
						  collapsed:: true
							- **Process Transformation** :-> aims to process such as data, analytics, AI, and any process that can work towards lowering costs and driving operational efficiency in the business.
							  id:: 64856c69-52d5-40b7-9497-52567a02ce7f
							- **Business Model Transformation** :-> aims to make fundamental changes in how a business or organization runs which can include personnel, processes, and technology.
							  id:: 64856c7b-7b10-4cc5-a0c9-69900f0ccb14
							- **Domain Transformation** :-> This area offers a great opportunity to move into a new domain or area that a business may not have explored before by acquiring new technologies.
							  id:: 64856c7b-1aaf-4be3-949f-aed8563d07bf
							- **Cultural/Organizational Transformation** :-> This is about redefining mindsets, processes, capabilities and skills for a digital world. It’s about driving digital transformation forward through growth initiatives that are grounded in a new culture and way of thinking.
							  id:: 648594af-cbc3-4a32-b6cc-56e47df1124e
						- **Guidelines** for a successful Digital Transformation #flashcard
						  id:: 648adeaf-bb84-41c5-93bf-bb4feb5f8f6d
						  collapsed:: true
							- Understand your technology
							- Embrace Cultural Change
							- Consider a new digital business model
							- Digital upskilling
							- Ensure Collaboration
							- Top Management Support
					- Digital Product
					  collapsed:: true
						- Characteristics #flashcard
						  id:: 648adeaf-5f9b-4d8b-a56c-dcdcec706fc2
						  collapsed:: true
							- no physical form, exist only in the digital realm,
							- _intangible_ items delivered _electronically_,
							- anything that can be _downloaded_ and _used digitally_ can be considered a digital product,
							- sold online or through brick-and-mortar retailers,
							- can be easily updated or modified to keep up with changing technology and trends because they're intangible,
							- often come with a license that allows a customer to use them in unlimited ways.
						- Will everything become digital? #flashcard
						  id:: 648adeaf-9acb-4ea2-938a-8ffdb701d897
						  collapsed:: true
							- In practice, most products and experiences they are part of are _hybrid_.
						- **Why** digital products? #flashcard
						  id:: 648adeaf-bc9c-4763-9fd9-257d6422ea59
						  collapsed:: true
							- Customer happiness is how you win in business. Modern customer expectations are being driven by largely digital technology and digital innovations.
							- Low investment, (potentially) high returns
							- More profitable than physical goods
							- No inventory, shipping or rent hassle
							- Automated delivery for passive income
							- Serve a niche at scale
							- Digital products offer unique ways to communicate directly with the customers.
					- Digital Project Development #flashcard
					  id:: 648adeaf-3f04-491f-9c27-31923ca289b0
					  collapsed:: true
						- Phase 1. **Discovery** :-> the process of identifying the problem to be
						  id:: 648adeaf-d69b-4b37-ae1c-fe56af28f8ed
						  solved, making sure the problem is worth solving, and
						  envisioning the solution to that problem.
						- Phase 2. **Ideate** :-> The goal is to brainstorm possible solutions to the
						  id:: 648adeaf-9927-4e22-90f0-88b5e42c5c99
						  problem identified in the discovery phase, creating a
						  strategy for how to build a product that will solve that
						  problem.
						- Phase 3. **Test** :-> The testing phase is all about gathering data,
						  id:: 648adeaf-5010-4af8-a168-559b91adefeb
						  refining and improving your idea, and gathering more data
						  until you have a sharp idea. The testing phase should
						  involve at least four steps, known as the lean validation
						  process
						- Phase 4. **Execute** :-> This stage aims to develop the“most
						  id:: 648adeaf-6ff8-4ce2-8567-1853d5bf63e0
						  valuable player” namely the _Minimum Viable
						  Product (MVP)._
						- Phase 5. **Launch** :-> Once your MVP is ready to go, it’s time to launch. A
						  id:: 648adeaf-9b1a-4fb3-a36a-9b05174e52ef
						  digital product launch usually means putting the MVP
						  on the market and giving customers their first crack at
						  your solution.
						- Phase 6. **Grow** :-> As refine the digital product into its final form, based on
						  id:: 648adeaf-f8a3-4503-b1f2-526ff4b58779
						  the feedback from the MVP launch, it’s time to consider
						  the growth or scaling phase.
					- Digital Project Management
					  collapsed:: true
						- Terms
						  collapsed:: true
							- **Digital Project Manager** :-> the glue that brings
							  id:: 648adeaf-2034-426d-ab31-c83d06e1c0b9
							  together many facets of a successful digital product—
							  customers, design, engineering, operations, sales,
							  marketing, finance, compliance, legal, and more.
							- **Project Team for Digital Products**:
							  collapsed:: true
							  A project team for digital product is made up of:
								- **Developers or engineers** – the people who will code, test and deploy the digital application that will be used by customers.
								- **Experts in customer or user experience** who focus on how the product and associated services will be used by the customer, and who create the user interface, services and other interactions with the customers
								- **Sales and marketing experts**, who will actually get customers to use the product.
						- mistakes to avoid #flashcard
						  id:: 648adeaf-6b3a-4fb1-afe9-fd8d786f6db3
						  collapsed:: true
							- Having the _wrong data_
							- _Resistance_ from staff
							- Underestimate _costs_
							- A lack of _commitment_
							- A lack of _skills_
				- ## Topic 10: ==Intellectual Property==
				  deck:: 2023t1/product/w2/t10
				  collapsed:: true
					- 知识产权分类 #flashcard
					  id:: 648ae540-d111-47d6-8742-5709ab330e29
						- 专利 (patent):专利是政府向发明人授予的暂时垄断权，以排除他人使用该发明。在美国，专利有效期自其存档日期起共20年。“ 专利是个人或组织与国家之间的契约”专利是由政府授予的有限时间的垄断，作为交换，它向公众传授新的有用的知识 其目的是通过授予临时垄断来鼓励一个经济体内部的创造力和创新·a document granting an inventor sole rights to an invention ¡ ·“a patent is a contract between an individual or organisation and the state¡· A patent is a limited-time monopoly, granted by government, in exchange for teaching the public new and useful knowledge ¡ ·The aim is to encourage creativity and innovation within an economy by granting a temporary monopolyThis means that individuals and organisations will know that any l· idea that is created from their R&D investment will be protected (if patentable), and l ·any Return On Investment (ROI) will be received by them and not others（也就是说个人和组织将知道他们所研发的想法将得到保护，同时任何投资回报（ROI）将由他们获得，而不是别人）
							- ◦ 专利分类 #flashcard
							  id:: 648ae546-f71a-4320-bb7c-15340bcd6e77
								- ▪ 设计专利(design patent)设计专利提供了一种法定权利，可以排除其他人用与设 计专利中描述的相同的装饰性设计来生产和销售一件产品。设计专利可以被看成是一件产品 装饰性设计的“版权”。
								  extra:: 'Registered design' and 'Design patent' are two terms are often used interchangeably. They are similar rights, used to protect the aesthetic appearance of a product, but they arise in different jurisdictions.
								- ▪ 实用新型专利 (utility patent)美国法律允许为与下列事物有关的发明申请专利：新工艺、机器、制品、合成物，以及对 上述事物新的和有用的改进。Patents are granted to individuals and organisations who can lay claim to a new product or manufacturing process, or to an improvement of an existing product or process that was not previously known（只用记这个）
									- • 法律要求被授予专利的发明的要求、特点 ：Patents – Requirements
										- ◦ 工业应用Industrial application如果发明可以是机器、产品或工艺，则该发明应被视为能够进行工业应用专利是关于产品 /工艺的，因此最终目标是行业应用。即被授予专利的发明必须在某种情况下对某些人有用·The invention shall be taken to be capable of industrial application if it can be a machine, product or processl ·Patents are about products/processes and therefore the final aim is industry application (unlike, for example, PhD research)
										- ◦ 新颖 (novel): 新颖的发明是还没有公开的，在现有产品、出版物或先前专利中未见的发明。新颖性的定义还与实际发明的披露有关。·‘an invention shall be taken as to be new if it does not form part of the ‘state of the art’ – the Patent Act 1977 section 2(1) (UK) ¡ ·A state of the art is defined as “all matter, in other words, publications, written or oral or even anticipated which will render a patent invalid在英国，如果你要申请一个专利，它必须从未在公众里出现过
										- ◦ 创造性步骤Inventive step当对本领域技术人员来说不显而易见时，发明应被视为包括创造性步骤‘an invention shall be taken to involve an inventive step when it is not obvious to a person skilled in the art ‘
							- ◦ 专利的花费The cost of patents #flashcard
							  id:: 648ae578-d2df-4a05-8b3f-c14cb0c6c9eb
								- ▪ 所需缴纳年费Annual fees required :-> 可能很贵组织必须权衡成本和收益l ·Can be expensivel ·Organisations have to weigh up the cost vs the benefits（如果一个专利需要每年交很贵的专利费，但是无法投入生产的话就会导致亏损）
								  id:: 648ae582-c9b5-4239-9d3b-8067a3537035
								- ▪ 专利代理人Patent agents :-> 拥有科学知识或者法律知识的专家必须有专家来准备专利并检查他人侵权行为l ·Experts who have scientific or engineering and legal knowledge l· Experts will have to be paid to prepare patents and check for infringements by others
								  id:: 648ae585-7f30-4254-a523-9097bb9aa003
								- ▪ 法院费用Court fees :-> 只拥有专利没有意义，除非能执行它可能意味着有昂贵的诉讼费l ·There is no point in having a patent unless you enforce it ·This can mean expensive litigation in national courts
								  id:: 648ae587-c976-430d-9f2a-f1b4627252b7
							- ◦ 关键术语Patents – Key Terms
								- ▪ 上诉权Offensive right :-> 要求专利所有人起诉侵权者，这很贵，专利侵权不会导致自动罚款，只有专利所有人会监督其他组织或个人的行为 requires that the patent owner sues the infringer l· This is expensive l· Patent infringement does not lead to an automatic fine, only the patent owner polices the actions of other organisations or individuals（也就是说如果别人侵犯了你的专利权，不会自动对他罚款，只有你发现并上诉了才能对他进行罚款）
								  id:: 648ae591-defb-43aa-8dbb-cc7da735911d
								- ▪ 现有技术Prior art :-> 专利中描述的发明，无论是否是要求保护的发明的一部分，都被法律系统认为是公知的an invention described in a patent, whether part of the claimed invention or not, is considered by the legal system to be known publicly
								  id:: 648ae594-2c94-4a76-b55c-7796c9b2b747
								- ▪ 防御性权利Defensive right :-> 以专利形式公开现有技术是对所有者的防御性保护。它可以阻止竞争对手为公开的发明申请专利。因此，尽早申请很重要·the disclosure of this prior art in the form of the patent is a defensive protection for the owner – it can block a competitor from patenting the disclosed inventionl· Therefore it is important to apply early（比如现在有一项技术，你和你的竞争对手都在研究。如果你提前把这个技术申请专利的话，那么这个技术就归你所有，别人就不能用或者用了要给你交钱，这样就能在技术上占据优势，来保护自己的公司。由于专利是先到先得，所以如果别人先申请了的话你就申请不了了）
								  id:: 648ae597-8660-4209-bbf6-4e3a658f536c
								- ◦ 专利地域性：国际专利条约一般是指，在决定谁在其他国家享有优先权时，以你在自己国家的申请日为申请日
							- ◦ 专利的好处 #flashcard
							  id:: 648ae5be-f9c8-49f4-9b6d-aa644128135b
								- ▪ 在专利期限内，只有所有者 (个人或组织 )才能从发明中受益。Only the owner (individual or organisation) can benefit from the invention for the duration of the patent
								- 专利所有者可以自己在法商业上利用他们的想，Patent owners can commercially exploit their ideas themselves
								- 也可以向其他机构收取专利使用费，从而找到一个替代收入来源。·or they can charge other organisations to use their patent – thereby identifying an alternative source of income
									- 这在组织没有资源或市场知识来开发与专利相关的发明时特别有用·¡ ·This is particularly useful where an organisation does not have the resources or market knowledge to exploit the invention associated with the patent（比如使用专利权/专有技术使用权入股）
							- ◦ 专利限制
								- ▪ 原则上，必须申请专利。申请专利的国家为了享有专利保护，专利申请应符合形式和实质要求，专利发明应向公众公开。这些要求在法律上和技术上可能很复杂，遵守这些要求通常需要法律专家的帮助。如果专利侵权，就要由专利所有人在法庭上为专利辩护，这对小企业来说可能非常昂贵，而且通常是不可能的。保持专利有效需要年费¡ ·A patent must be applied for, in principle, in each country in which you seek patent ¡ ·In order to enjoy patent protection, an application for a patent shall comply with both formal and substantive requirements, and a patented invention shall be disclosed to the public¡· These requirements can be legally and technically complex, and their compliance often requires a legal expert’s assistance ¡ ·It is up to the patent owner to defend a patent in the courts if there is infringement, which can prove very expensive and often impossible for a small business¡ ·Annual fees are needed to keep the patent in force首先是专利申请很难，你要符合专利申请的条件。其次申请后的专利应该向共中披露，对于有些公司来说可能不愿意公开。而专利又是个很复杂的事情，不仅要有技术专家还得请法律专家。如果侵权诉讼你要支付一笔昂贵的律师费用和其他费用，而且一般来说专利侵权能难界定，并且很难打官司同时每年还得上交专利年费。
							- ◦ 专利里的内容 #flashcard
							  id:: 648ae5c8-e194-4a0a-ada3-3ac640729f64
								- ▪ ·发明领域¡ ·Field of the inventionl ¡ ·
								- 描述解决的问题·Describe the problem addressed¡
								- 发明背景·Background of the invention
								- 描述“现有技术” Describe the “prior art”
								- 列出优于现有方法的优势·ll List advantages over existing methods
								- 发明内容·Summary of the invention
								- 详细描述最佳模式Detailed descriptionl Best mode
								- :实现本发明的最佳方式使用示例和实施模式·the best way to implement the invention Examples of use and modes of implementation
								- 要求这项发明到底是什么 Claims What exactly is the invention
							- ◦ 申请专利的六个步骤 #flashcard
							  id:: 648ae5e3-1eb4-4d37-97ce-c4226124d6ac
								- ![image.png](../assets/image_1686824439230_0.png)
						- 商标 (trademark): 商标是政府授予商标拥有人的、与一类产品或服务相关的特定名 称或标志的排他性使用权。商标的基本功能是专门识别产品或服务的来源或原产地，因此它是原产地标记与商业形象、商誉密切相关。商标专用权产生于与商品和服务有关的标志的使用，它持续 10年，之后只要没有异议，它可以反复更新¡· The essential function of a trademark is to exclusively identify the source or origin of products or services, so it serves as a badge of origin¡ ·Closely associates with business image, goodwilland reputation¡ ·Trademark exclusive rights arise from the use of the sign in relation to goods and services, it lasts 10years after which it can be renewed repeatedly for as long as there are no objections
							- ◦ 注册商标的法律要求
								- ▪ 注册的法律要求 : #flashcard
								  id:: 648ae61f-665c-4e88-8801-17a4c6f34ed2
									- 1.一个标志A sign
									- 2.与起源不同Distinctive as to origin
									- 3.能够以清晰、精确的方式表现出来Capable of being represented in a clearand precise manner
								- 某些标志永远不能注册 :-> 不是标志，没有特色，描述性，违反公共政策，欺骗性，等等。有些商标不能注册，因为市场上已经存在相同或相似的商标
								  id:: 648ae62b-2880-4605-8aef-ebd61a95b160
						- 产品外观设计designs for product appearance产品整体或部分的特征，特别是产品本身或其装饰的线条、轮廓、颜色、形状、纹理或材料只有其实际形状、结构、图案或装饰所赋予的外观才能得到保护，而不是任何潜在的想法它赋予所有者在其地理管辖范围内 (英国 /欧盟 )阻止任何人复制其产品外部设计的权利.在美国设计专利注册可以持续 25年，但必须每五年更新一次`A registered design protects the external shape of the productl `Only the appearance given by its actual shape, configuration, pattern or ornament can be protected, not any underlying idea ¡` It gives the owner the right to stop anyone copying the external design of their product, within their geographical jurisdiction (UK / EU)¡ ·In the US similar protection exists under the concept of a design patent¡ T·he registration can last 25 years, but it must be renewed at five-yearly intervals
							- ◦ 注册要求
								- ▪ 1.新颖
								- 2.有个性
						- 版权 (copyright): 版权是政府授予的复制和传播某原始作品的排他性权利，包括文字、 图形、音乐、艺术、娱乐、软件等。
							- 版权保护仅延伸到表达方式，而不延伸到思想、程序、操作方法或数学概念本身。为了版权的存在，作品必须 :原创性要求并不要求作品是原创思想的表达，但表达思想的方式必须是原源自作者，以及属于受保护的主题¡ ·Original literary, dramatic, musical and artistic works, including computer programs and databases are protected by copyright for duration of the author’s life + 70 years after their death ¡ ·Sound recordings, films, broadcasts and cable programmes, the typographical arrangement or layout of a published edition are protected by related rights for 50 years from the end of the calendar year in which the work was first made available to the public (except for films)
								- ◦ 专有权、保护形势
									- ▪ 1.它从第一次被记录的那一刻起自动产生，不需要任何正式的登记
									- 2.版权授予专有权，如复制作品、向公众传播、提供或分发作品的权利
									- 3.奏鸣曲将作为作者作品受到版权保护，奏鸣曲的录音将受到相关权利的保护1.It arises automatically from the moment it has beenfirst recorded and does not require any formal registration2.Copyright grants exclusive rights such as to the right to reproduce the work,communicate it to the public,make it available, or distribute it3.A sonata will be protected as an authorial work by copyright, a sound recording of the sonata will be protected by related rights
					- 知识产权战略：保护公司无形资产 #flashcard
					  id:: 648ae67f-8cbb-47cd-bb19-166f4a8d926d
						- 产品 /服务开发Product / service development
						- 知识产权保护IP Protection
						- 知识产权商业化IP Commercialization
						- 构思过程Ideation process
					- 知识产权定义 #flashcard
					  id:: 648ae68b-e450-490f-a0bb-90055a272ab7
						- 知识产权，通常被称为 IP，是指由人类智力或创造性活动创造的无形资产。Intellectual property, often known as IP, refers to intangible assets created by human intellectual or creative activity
						- 知识产权允许人们像拥有有形财产一样拥有自己的创造力和创新。 Intellectual property rights (IPRs) allow people to own their creativity and innovation in the same way that they can own physical property.
						- 所有者可以控制并从使用他们的知识产权中获得回报，这鼓励了进一步的创新和创造，对我们所有人都有好处。The owner can control and be rewarded for the use of their IP, and this encourages further innovation and creativity to the benefit of us all.
			- DONE Week 3
				- ## Topic 11: ==System Level Design==
				  deck:: 2023t1/product/w3/t11
				  collapsed:: true
					- 系统级设计（System-level Design）产品架构可以描述为 :Product Architecture can be described as: #flashcard
					  id:: 648afdb9-baec-4117-9da9-5c12dcb2dd38
					  collapsed:: true
						- 1."the **scheme** by which the functional elements of the product are arranged into physical chunks and by which the chunks interact”
						- 2.**Functional** – individual operations and transformations that contribute to its overall performance
						- 3.**Physical** – parts, components and subassemblies that implement the product’s functions
					- 目的 :-> 架构决策允许将这些物理模块的详细设计和测试分配给团队、个人和 /或供应商，以便不同部分的开发可以同时进行 Architectural decisions allow the detailed design and testing of these physical blocks to be assigned to teams, individuals, and/or suppliers, so that the development of different portions can be carried out simultaneously
					  id:: 648adea3-e0aa-4145-888e-45d2711be5ae
					- 模块化架构 Modular & integral architecture: types of modular architecture #flashcard
					  id:: 648adeaf-b4ef-4ae0-aac3-74b22ee2c63a
					  collapsed:: true
						- ◦ 模块化架构 modular architecture 特点： #flashcard
						  extra:: 理解：当每个功能都只被一个组件完成时，并且组件之间的配合十分完美时，这种架构允许在不改变的情况下只改变一组而不影响整体功能。也就是说各个组件可以单独设计
						  id:: 648afdb9-ff7c-4958-8c43-61f5f2e9c502
						  collapsed:: true
							- 1.各个组件分别实现一个或多个功能Each chunk implements one or a few functions entirely. ·
							- 2.组件之间的关系是明确的，这种关系往往是实现一个产品功能的基础 ·The interactions between chunks are well defined. ·Modular architecture has simplicity and reusability for a product family or platform.
						- ▪ 槽形模块架构 Slot-modular (the most common type) #flashcard 
						  extra:: 例子：汽车上的收音机接口与速度仪、仪表盘的接口都不同
						  id:: 648afdb9-30e4-4982-bcf6-511478cabfdc
						  collapsed:: true
							- 每个接口都与于其它接口类型不同， Each of the interfaces between chunks in a slot-modular architecture is of a different type from the others –
							- 产品中的组件不能互换 therefore the various chunks in the product cannot be interchanged
						- ▪ 总线模型 Bus-modular #flashcard 
						  extra:: 例子：轨道照明
						  id:: 648afdb9-d501-4bcb-a79e-8a859f57c162
						  collapsed:: true
							- 有一个通用总线，其他组件通过同类型的接口连接到这个总线上 There is a common bus to which the other chunks connect via the same type of interface
						- ▪ 组合型模块架构 Sectional-modular
						  extra:: 例子：分体沙发
						  collapsed:: true
							- 所有接口都是同类型的，但是没有一个所有组件都与之相联的元件。 1.All interfaces are of the same type, there is no single element to which all the other chunks attach
							- 组装是通过将同样的接口相连接而完成的2.The assembly is built up by connecting the chunks to each other via identical interfaces
					- ▪ There are implications to the decisions you make about product architecture ·
					  collapsed:: true
						- Product change
						- ·Modular chunks allow changes to be made to a few isolated functional elements of the product without necessarily affecting the design of other chunks ·
						- Motives for change include #flashcard
						  id:: 648afb1a-e204-4958-9376-00dff9d8890f
						  collapsed:: true
							- upgrades, add-ons,
							- adaptation,
							- wear,
							- consumption
							- , flexibility in use,
							- reuse
					- ▪Product **variety** l Variety refers to :-> the range of product models the firm can produce within a particular time period in response to market demand 
					  id:: 648adea3-42a7-4192-8e0e-9bd19e753f1d
					  collapsed:: true
						- Products built around modular product architectures can be more easily varied without adding tremendous complexity to the manufacturing system
					- ◦ 集成化架构 Integral architecture 特点： #flashcard
					  id:: 648adeaf-dd91-4bd0-99fc-9e1ff3d553e3
					  collapsed:: true
						- 1.产品的每个功能由多个组件组成Functional elements are implemented by multiple chunks, or a chunk may implement many functions
						- 2.每个组件参与多个功能的单元实现The interactions between chunks are poorly
						  defined
						- 3.组件之间的互相关系不明确，这种相互关系对基本功能来说不重要 理解：不同于模块化结构，因为集成化结构的功能是由多个组件构成的，所以改变一个功能或者零件都涉及到多个组件的改变 Integral architecture generally increases performance and reduces costs for any specific product model.
					- 建立产品架构（四步法）
					  collapsed:: true
						- ◦ 创建产品示意图 Create a schematic of the product
						  collapsed:: true
							- ▪ 示意图 (schematic) 反映了开发人员对产品组成的认识； 不包含全部细节； 示意图不是唯一的
						- ◦ 对示意图中的元素(单元)进行聚类 (cluster) Cluster the elements of the schematic
						  collapsed:: true
							- ▪ 把示意图中的每个元素都划分到相应的组件中去； 为了控制这些选择的复杂性，可以假定每个元素都形成一个独立的组件，然 后在有利的情况下不断加以合并。为了确定哪些合并是有利的，需要考虑以下因素，这些因 素反映了前文所讨论的产品架构的内涵： #flashcard
							  id:: 648afdb9-09a3-488f-8f99-58d7804d2e0b
							  collapsed:: true
								- • ·几何集成与精确性 Geometric integration and precision：把示意图中的几个单元集成到一个组件中，会使设计人员 �� 好地 控制这几个单元的实体关系。这样，就能使出于同一组件，需要精确定位或紧密集成 的单元得到最好的设计。 l·Assigning elements to the same chunk allows a single individual or group to control the physical relationships among the elements l ·Elements requiring precise location or close geometric integration can often be best designed if they are part of the same chunk
								- • ·功能共享 Function sharing： 当一个单独的实体组件可以实现产品的若干功能单元时，这些功能单元最 好集成在一起 When a single physical component can implement several functional elements of the product, these functional elements are best clustered together l For example, an integrated control panel on a car
								- • ·供应商能力 Capabilities of vendors： 一个可靠的供应商可能具有与产品开发密切相关的某种能力。为了很好 地利用这种能力，开发人员会把那些供应商有制造经验的单元集成到同一个组件中， 并交给供应商生产 ·A trusted vendor may have specific capabilities related to a project l· To best take advantage of such capabilities a team may choose to cluster those elements about which the vendor has expertise into one chunk
								- • ·设计或技术生产的相似性 Similarity of design or production technology 当两个或更多的功能单元可能用同样的设计或生产技术完 成时，将这些元素集成到同一组件中将会使设计或生产更经济 When two or more functional elements are likely to be implemented using the same design and/or production technology, then incorporating these elements into the same chunk may allow for more economical design and/or production
								- • ·集中修改 Localisation of change 当开发人员预计某些单元可能要做大量的修改时，就有必要把该单元独立为 一个模块化的组件，这样对该组件的修改就不会影响到其他的组件。 When a team expects there to be a great deal of change in an element, it makes sense to isolate that element into its own modular chunk l In that way, any necessary changes to the element can be carried out without disrupting any of the other chunks
								- • ·适合多样化 Accommodating variety 示意图中元素的聚类应该有利于企业按照客户的具体要求来对产品做出 改动。打印机将在全世界电力标准不同的各个地区销售。所以，开发团队为与直流供 电有关的元素建立了单独的组件。 ·Elements should be clustered together to enable the firm to vary the product in ways that will have value for customers l ·Example – a power supply needs to handle different mains supplies in different countries
								- • ·标准化 Enabling standardisation 如果有一套元件在其他的产品中也可以使用，那么应该把它们集成到一个组件中。这样可以提高组件中各实体单元的生产质量。 l ·If a set of elements will be useful in other products, they should be clustered together into a single chunk l· This allows the physical elements of the chunk to be produced in higher quantities
								- • ·关联的便利性：有些相互作用可以在长距离内方便地传递。
						- ◦ 设计简略的几何结构 Create a rough geometric layout
						  collapsed:: true
							- 几何结构可以采用草图、计算机模型或物理模型(例如卡板纸或泡沫制成)在二维平面或者三维空间中进行设计。设计几何结构时，设计人员要考虑组件之间的几何关系是否可以实现，并确定组件间的基本空间关系。 A geometric layout can be created in 2 or 3 dimensions or as physical models l· an example can be found on a later slide ¡ ·Creating a geometric layout forces the team to consider l ·whether the geometric interfaces among the chunks are feasible and l ·to work out the basic dimensional relationships among the chunks
						- ◦ 确定基本的和附属的相互作用关系 Identify the fundamental and incidental  interactions
						  collapsed:: true
							- ▪ 各个组件可能是由不同的个人或小组设计的。组件之间存在着确定或不确定的相互作用关 系，所以各个小组要协调他们的设计，交流各自的信息。为了更好地管理这种协作过程，开发人员应该在系统设计阶段明确组件之间那些已知的相互作用。
							- 组件之间的联系有两种类型。
							  collapsed:: true
								- 首先是基本的相互作用关系 (fundamental interaction), 它与 示意图中连接各组件的那些线条相对应。例如， 一张纸从纸张托盘移动到打印装置中，因为 这种基本的相互作用关系是系统运行的基础，所以，在最早设计示意图时就应该计划好，并 要很好地加以理解。其次是附属的相互作用关系 (incidental interaction), 它是功能单元特定的 实体设置或组件之间具体的几何排列造成的。例如，纸张托盘中的传动器所引起的震动会干 扰打印墨盒在 X 轴的精确定位。 It is most likely that a different person or group will be assigned to design each chunk ¡ Because the chunks interact with one another in both planned and unintended ways, these different groups will have to coordinate their activities and exchange information ¡ To manage this coordination process better, the team should identify the known interactions between chunks during the system-level design phase There are two categories of interaction l Fundamental ¡ Those which correspond to the lines on the schematic that connect the chunks to one another ¡ These are the fundamental interactions of the systems operation l Incidental ¡ Those that arise because of l the particular physical implementation of functional elements, or l because of the geometric arrangement of the chunks ¡ An incidental interaction graph is used to document this type of interaction, see next slide
						-
				- ## ==Topic 12 / 13: Detail Design and Prototypes==
				  deck:: 2023t1/product/w3/t12
				  collapsed:: true
					- 此阶段的部门职责是 #flashcard
					  id:: 648afdb9-8ccf-4d7e-854d-5a9e89be62b0
						- ·营销Marketing #flashcard
						  id:: 648afdb9-d389-400b-8eea-c748ed5124c2
							- 制定营销计划 ·Develop marketing plan
						- 设计Design ¡ #flashcard
						  id:: 648afdb9-e0fc-4374-a756-f1b6ac6333f8
							- 定义零件几何图形Define part geometry
							- 选择材料 Choose materials
							- 分配公差Assign tolerances
							- 完整的工业设计控制文件Complete industrial design control documentation
						- ·制造·Manufacturing #flashcard
						  id:: 648afdb9-3ea9-43b2-9ab4-4d205fd7b6ed
							- Define piece-part production processes 定义零件生产流程
							- Design tooling 设计工装
							- Define quality assurance processes 定义质量保证流程
					- 阶段 3 的输出是产品的控制文档,The output of Phase 3 is the control documentation for the product
						- 控制文件是The control documentation is: #flashcard
						  id:: 648aff42-4eb9-44ef-a2b0-eb30eb9ca2c4
							- :描述要制造的每个零件的几何形状及其生产工具的图纸或计算机文件The drawings or computer files describing the geometry of each part to be made and its production tooling
							- 制造的过程描述和产品的组装The process descriptions for the fabrication and assembly of the product
							- 要购买的零件的规格· The specifications of the parts to be purchased
					- 什么是原型 :-> “依据一个或多个方面的兴趣而得到的产品的近似品”(*an approximation of the product* along one or more dimensions of interest)a small scale modeling.¡ ·Industrial designers produce prototypes of their concepts, such as models¡ ·Engineers prototype a design¡ ·Software developers write prototype programs Prototyping is the process of developing such an approximation of the product
					  id:: 648adeaf-406c-446a-a293-4823cd212018
						- a 原型 (alpha prototype) :-> 通常用于评估产品是否按预期工作 Are typically used to assess whether the product works as intended
						  id:: 648afdb9-4329-42c6-92eb-eb05e682abbb
						- β 原型 (beta prototype) :-> 通常用于评估可靠性和识别产品中的剩余缺陷 Are typically used to assess reliability and to identify remaining bugs in the product
						  id:: 648afdb9-58e5-4934-bd39-d2bd66f0d417
						  extra:: ◦ Beta 原型在内部进行了广泛的评估，并且通常由客户在他们自己的使用环境中进行测试测试原型的目标通常是回答关于性能和可靠性的问题，以便为最终产品确定必要的工程更改 Beta prototypes are extensively evaluated internally and are also typically tested by customers in their own use environment¡ The goal for the beta prototypes is usually to answer questions about performance and reliability in order to identify necessary engineering changes for the final product
						- 试产原型 (preproduction prototype)是整个公司生产的第一批产品生产过程 Are the first products produced by the entire production process
					- 软件模型、硬件模型（Soft Models、Hard Models） #flashcard 
					  id:: 648afdb9-8f45-41e1-b289-04400b5e90e6
					  ![image.png](../assets/image_1686840524822_0.png)
						- Soft model
							- Rough modelling, Use to assess the overall size, proportion,
							  and shape of many proposed concepts /
							  ideas
							- Fast evaluation of basic sizes and
							  proportions
							- Reshaped and refined by hand to explore
							  and improve its quality
						- Hard model
							- Technically non-functional yet a replicas or
							  copies of the final design
							- Sometimes made from wood, dense foam,
							  plastic, or painted
							- Have some “working” features such as
							  button that push or sliders that move
					- 控制模型和 CAD 模型 Control Models and CAD Models
						- 从 CAD 数据构建和匹配的模型Model that is constructed and matched from CAD data
						- 产品的完整模型和完整详细的组成Complete model and fully detailed composition of the product
						- 由于成本或时间短缺，该模型的组件将被简化或忽略· ··Component of this model will be simplified or neglected due to cost or time shortages
					- 什么是原型化（prototyping）:-> 原型化是快速组装工作模型 (原型 )的过程，Prototyping is the process of quickly putting together a working model (a prototype)
					  id:: 648acec3-1352-4b73-86df-d4c008305bb5
					- 目的是 :-> 测试设计的各个方面，阐明想法或功能，并收集早期用户反馈。 in order to test various aspects of a design, illustrate ideas or features and gather early user feedback
					  id:: 648b168d-0c56-4fb0-a5fd-d24a5bb8c06a
					- 原型的作用 Uses of Prototypes #flashcard
					  id:: 648afdb9-f8f5-4bfc-8062-62b71f0af4be
						- 学习(learning):原型通常用于回答“它能否工作?”和“它满足消费者需求的程度如何?”。 当回答这类问题时，原型就作为学习的工具。Answering questions about performance or feasibility , such as“Will it work?”“How well does it meet the customer needs?”
						- 沟通（communication）沟通 (communication): 原型加强了开发团队与高层管理者、供应商、合作人、开发团队 扩展成员、消费者及投资者间的沟通。·Demonstration of a product to get feedbackfrom all stakeholders·A physical, tactile, 3D representation of aproduct is much easier to understand than averbal description or even a sketch of aproduct 例子：以一个可见的、能 触知的三维图形来表现一个产品，比语言草图描述更易理解。在 PackBot 概念开发中，通过利 用“可视、可感知”的原型，设计工程师、经理、供应商和顾客间的沟通得到加强。新的消 费者经常对 PackBot 底盘过于狭小不满意，然而，实物模型清晰地展示了有限的空间。
						- 集成 integration  原型用于确保产品的子系统及组件能如预期的一样协同工作。综合化的实体原型在产品开发项目中作为集成工具最为有效，因为它们要求零件、各部件间协调，并与零件组成一个产品。要做出这样的原型，需产品开 发团队成员相互协作。如果产品任何组件的组合妨碍了 产品的整体功能，这一 问题只能在综合化的实体原型中 通过集成来检测。·Prototypes are used to ensure that componentsand subsystems of the product work together as expectedl ·Comprehensive physical prototypes are the most effective as integration tools in product development projects because they require the assembly and physical interconnection of all of the parts and subassemblies that make up a productl ·The integration of the prototype forces coordination between different members of the product development teaml ·For example: alpha or beta test models
						- 里程碑 milestones  尤其是在产品开发的后期，原型用于验证产品在功能上已达到期望水 平。里程碑原型提供可触知的目标，表明了进展情况，并用来加强进度安排。Provide goals for the development team’s schedule· Milestone prototypes are defined in the product development project plan 这种原型的数量和它们的时间是整个开发计划的关键要素之一作为一个基本案例，开发团队应该考虑使用 alpha、 beta 和预生产原型作为里程碑 The number of such prototypes and their timingis one of the key elements of the overall development planl ·As a base case, the development team should consider using alpha, beta and pre-production prototypes as milestones¡ e.g. first testable hardware
					- 原型分类 #flashcard
					  id:: 648afdb9-5d76-4273-af44-f89d6adc854e
						- 实体/解析 #flashcard
						  id:: 648afdb9-e204-4ec9-ad13-a1a2a89e7cbb
							- Physical prototypes are :-> tangible artifacts created to approximate the product ¡ ·Aspects of the product of interest to the development team are actually built into an artifact for testing and experimentation ¡· Examples of physical prototypes include l ·models which look and feel like the product l ·proof-of-concept prototypes used to test an idea quickly l· experimental hardware used to validate the functionality of a product 例子：一个木制的玩具模型
							  id:: 648adea3-30f6-4214-ab85-0a41dbfffa93
							- Analytical prototypes :-> represent the product in a non-tangible, usually mathematical, manner¡ ·Interesting aspects of the product are analysed, rather than built 例子：数学分析、建模
							  id:: 648adea3-43b4-4c38-8202-edd69837cf83
						- 综合/专一 #flashcard
						  id:: 648afdb9-046b-4558-b7db-116856c4b577
							- ◦ 综合 (comprehensive) :-> 能完成产品的绝大多数属性。·Comprehensive prototypes implement most, if not all, of the attributes of a product¡ ·A comprehensive prototype corresponds closely to the everyday use of the work prototype – i.e. it is a full-scale, fully operational version of the product 例子：β 原型，用来给测试功能
							  id:: 648adea3-d8ea-4659-a743-2089ecce3d97
							- ◦ 专一化原型 (focused prototype) :-> 只履行(完成)产品的某个或某些属性。
							  id:: 648acfc3-52b6-457c-be20-de52d48db117
							  extra::  Examples of focused prototypes include foam models toexplore the form of a product and wire wrapped circuit boards to investigate the electronic performance of product design¡ ·A common practice is to use two or more focused prototypes together to investigate the overallperformance of a product·By building two separate focused prototypes, the team may be able to answer its questions much earlier than if it had to create one comprehensive prototype
								- 一个普遍的做法是用两个或多个专一化原型一起探查一个产品的所有性能。这些 原型包括外观 (looks-like)原型和工作原理 (works-like)原型。通过制造两个分离的专一化原型，开发团队可以比制造一个综合化原型更早地解决问题。·Focused prototypes implement one, or a few, of the attributes of a product¡· Examples of focused prototypes include foam models toexplore the form of a product and wire wrapped circuit boards to investigate the electronic performance of product design¡ ·A common practice is to use two or more focused prototypes together to investigate the overallperformance of a product·By building two separate focused prototypes, the team may be able to answer its questions much earlier than if it had to create one comprehensive prototype
					- 选择原型类型的原则 #flashcard
					  id:: 648afdb9-30b3-4b79-9261-098c21872aa1
						- Analytical vs. physical
							- ·分析原型通常比物理原型更灵活 ·Analytical prototypes are in general more flexible than physical prototypes
							- 需要物理原型来检测意料之外的现象 ·Physical prototypes are required to detect unanticipated phenomena
						- Features of prototypes
							- 原型可以降低高成本迭代的风险 ·Prototypes may reduce the risk of costly iterations
							- 原型可以加速其他开发步骤 ¡ ··Prototypes may expedite other development steps
							  extra:: 示例 :在零件设计 -模具设计 -成型流程中添加原型制作步骤
							- A prototype may restructure task dependencies  原型可以重构任务依赖关系
					- 市场、技术风险还有综合模型成本之间的关系 :-> 总结起来就是技术、市场风险越高，制作的模型就越多。综合模型制造成本越高，制作的模型就越少。（**即风险和模型数量成正比，成本和模型数量成反比）**
					  id:: 648afdb9-9b3e-464e-a381-6b6270c64efd
					- 制定原型计划（四步） #flashcard
					  id:: 648adeaf-4219-4f20-a6fb-d82381a36dd7
						- 界定原型的目的·define the purpose of the prototype 原型的四个目的是：学习、沟通、集成和里程碑。在界定原型目的的过程中，开发团队列出具体的学习与沟通需求，也列出了集成需求以及这一原型是否作为整个产品开发项目中的一个里程碑。l ·The team lists its specific learning andcommunication needsl ·Team members also¡ ·list any integration needs¡· decide whether or not the prototype isintended to be one of the major milestonesof the overall product development project 例子：车轮原型的目的是决定车轮的抗震性能和安全性能。虽然学习原型的目的专注于性能，但开发团队还是要考虑材料的制造成本，其中，很多材料是不可铸造的，必须机加。
						- 建立原型的近似水平 Establish the level of approximation of the prototype 对原型进行计划需要确定原型与最终产品的相似程度。开发团队应考虑一个实体化原型是否必需，或一个解析化原型能否最好地满足它的要求。在大多数情况下，最好的原型是那个满足步骤 1 所设定目的的最简单原型 The degree to which the final product will be approximated in the prototype must be defined l The team should consider whether a physical prototype is necessary or whether an analytical prototype would best meet its needs 例子:对于车轮原型，团队要根据冲击效果来决定车轮的材料和几何形状。然而，车轮的其他 方面可能被忽视，包括生产方法(铸模或者机加)、驾驶系统的附件和铁轨带、车轮的颜色和 整体造型等。团队中一名成员先前就研究了轮辐弯曲效果的解析化原型，她认为原型的物理 特征对于确认她的分析很有必要。她发现抗震效果和车轮力量之间存在一个基本的取舍关系， 因为抗震需要轮辐柔韧，而车轮力量需要车轮尺寸更大。因此，团队使用解析型原型和物理原型来决定轮辐的尺寸。
						- 制定实验大纲 Outline an experimental plan 大多数情况下，在产品开发中使用原型可以看成一个实验。好的实验有助于从原型化活动 中获取最大价值。实验计划包括确认各种实验变量、测试草案、进行哪些测试的指示以及分 析最终数据的计划。当必须探索许多变量时，有效的实验设计将极大地加快这一进程。·The use of a prototype in product development can be thought of as an experimentl ·Good experimental practice helps to make sure that you get the maximum value from the prototyping activity 例子：对于车轮原型测试，团队决定只改变轮辐的材料和网的几何形状。根据解析化原型，团队 选择了两种样式的轮辐，每种轮辐又选择了 6 种材料，总共进行了 12 次实验。团队设计了一 个结实的平台，每个车轮被安装后由不同的高度落入平台，通过观察平台的受重就可以测试 车轮传递给 PackBot 的冲击力。在完成所有的实验后，相关人员会观察车轮落下的损伤，包括 裂纹和塑性变形，然后再提高一个高度进行测试。这些测试的结果不仅可以用来选择最好的轮辐几何和材料，而且可以改善车轮的物理解析化原型。
						- 制定采购、建造和测试的时间表 Create a schedule for procurement,construction and testing 因为建造和测试一个原型可以看作整体开发项目内的一个子项目，因此，开发团队会从制 定原型化活动计划中获益。对于一个原型计划，有三个日期特别重要：第一，部件可装配的日期(这一 日期有时被称为“部件水桶 (bucket of part)”日期);第二，原型进行首次测试的日 期(这一 日期有时被称为“冒烟实验 (smoke test)”日期，因为在这天，开发团队将首次在产品中通电并在电器系统中“寻找烟”);第三，完成测试并产生最终结果的日期。Three dates are particularly important in defining a prototyping effort¡ ·The team defines when the parts will be ready to assemble¡ ·The team defines the date when the prototype will first be tested¡ ·The team defines the date when it expects to have completed testing and produced the final results
					- Strategies: #flashcard
					  id:: 648b2bc6-9816-4452-bf2e-75d6981cac3e
						- Use prototypes to reduce uncertainty
						  Make models with a defined purpose
						- Consider multiple forms of prototypes
						- Choose the timing of prototype cycles
							- Many early models are used to validate concepts
							- Relatively few comprehensive models are
							  necessary to test integration
						- Plan time to learn from prototype cycles
							- Avoid the “hardware swamp” - where you keep
							  building different ways out of a problem without
							  stopping to think
			- DONE Week4
			  deck:: 2023t1/product/w4
				- ## Topic 18 初创企业和企业家精神
					- 什么是创业（startup）
					  collapsed:: true
						- 定义：创业公司是指经营历史有限的公司 这些公司通常是新成立的，正处于市场开发和研究阶段 通常它涉及一些新颖的技术或技术的使用，但关键是从技术中赚钱的连贯方法高科技(如电信、软件)与生物技术或医疗有很大不同\n A startup company or start-up is a company with \na limited operating history These companies, generally newly created, are in a \nphase of development and research for markets Typically it involves some novel technology, or \nuse of technology, but crucially… \nl a coherent means for making money from the \ntechnology High-tech (e.g. telecom, software) is very different \nfrom bio-tech or medica
						- Spin-out 通常是从大学或其他公司中分离出来的、基于某项技术或研究成果的企业项目，可能已经得到了某些技术或资金上的支持。而创业公司则是在任何地方创建的初创企业，不一定与任何大学或公司有直接关联。然而，如果一个 Spin-out 从大学或公司分离出来并作为一个独立的企业开始运营，那么它也可以被认为是一个创业公司。
					- 企业家 entrepreneur
					  collapsed:: true
						- Definition: :-> 拥有一家新企业或合资企业，并且承担固有风险和后果的全部责任·has possession over a new enterprise or venture·assumes full accountability for the inherent risks \nand the outcome
						  id:: 648afdb9-8b0a-450f-a32f-360b652f6f50
						- 企业家精神/创业行为 Entrepreneurship
						  collapsed:: true
							- 它指的是 :-> 个人或团队通过创造新的商业机会、设计并开发新产品或服务、组织资源和着手实现创新的一系列行动和过程。 ·Entrepreneurship is the **practice of starting new** organisations or **revitalizing mature organisations**, *particularly new businesses* - generally in response to identified opportunities
							  id:: 648afdb9-d3d8-4527-bd63-2b84df539122
							- 两种创新/企业家精神 #flashcard
							  id:: 648afdb9-cfc9-4215-972f-a19feed04e7d
							  collapsed:: true
								- 社会（social）\n 目的在造福社会而不是去赚钱，包括商业、公众等，如扶贫、环境、文化与艺术\n·Aim is to create social change rather than\nmake money Often involves business, public & charity organisations\n·Examples\nl poverty relief\nl environment\nl arts & culture
								- 技术 Technological\n·目标是获得独立性，以利用某项技术。\n·经常是由于在大公司中受挫而导致的。Aim is to gain independence to exploit a technology Often results from being frustrated in a large company
							- 影响成功创业的因素
							  collapsed:: true
								- 支持创业的组织 #flashcard
								  id:: 648afdb9-5804-4c67-ba71-df7abfda3c60
								  collapsed:: true
									- business incubators 企业孵化
									- science parks 科学园区
									- Non-Government Organisations
									- government
							- 小企业会面临的风险 #flashcard
							  id:: 648afdb9-5cf5-43c6-9d96-b957e829cdb6
							  collapsed:: true
								- 努力工作，自己做大多数决定涉及相当大的风险融资成本高没有规模经济 Hard work, making most decisions on your own Considerable risks involved Costly to raise finance No economies of scale
							- 创业的优劣势
							  collapsed:: true
								- Advantages: #flashcard
								  id:: 648b01b2-b79e-4a14-84b3-3009c7bd6e8f
								  collapsed:: true
									- Independence
									- Financial opportunities
									- Community service
									- Job security
									- Family employment
									- Challenge
								- Disadvantages: #flashcard
								  id:: 648b01cc-3ccf-4336-a531-725d62f89bc7
								  collapsed:: true
									- Sales fluctuations
									- Competition
									- Increased responsibilities
									- Financial losses
									- Employee relatoins
									- Laws and regulations
									- Risk of failure
							- 早期决定
							  collapsed:: true
								- 什么类型的业务–type of business
								  collapsed:: true
									- 可扩展的全球技术公司Scalable, global technology player
									- 有长期 R&D 计划的生物技术企业Biotech business with long-term R&D plans
									- 具有中期增长计划的制造工厂 Manufacturing facility with medium growth plans
									- 互联网服务商 Service provider
									- 生活方式商业lifestyle business
								-  什么形式的所有权——如个体经营者？
								  collapsed:: true
									- 营销商 Sole Trader
									  collapsed:: true
										- ![image.png](../assets/image_1686821512069_0.png)
									- 伙伴关系 Partnership
									  collapsed:: true
										-  两个或两个以上的人结合资源，形成合伙关系 双方(或多方)之间存在合同。Two or more people combine resources and form partnership,  Contract exists between the two (or more) parties;
										- 条款包括:terms include: #flashcard
										  id:: 648b024a-a6bd-4252-9a61-aecc0e8417f6
										  collapsed:: true
											- 各合伙人认缴的出资额The amount of capital subscribed by each partner
											- 如何确定利润并在合伙人之间分配How profits will be determined and allocated between partners
											- 合伙人的工资分配Salary allocation for the partners
											- 合伙企业的解散程序  Procedure for dissolving the partnership
										- 比如说你想开一家茶百道的奶茶店，你和茶百道总公司就构成了加盟关系。也比较类似于你和同伴合伙开一家公司，按照技术、资金投入占比进行股权分配和分红。当然要考虑到如果你不想在这个公司干了该怎么把钱拿回来，这就是退出机制（解散程序）
									- 有限责任公司 Limited Company #flashcard
									  id:: 648afdb9-01bc-4cb9-9a0b-f74ad94fbe2c
									  collapsed:: true
										-  在这种情况下，有限意味着所有者不再对其公司的债务承担无限责任 在美国，这些被称为股份有限公司所有公司都有在公司投资的股东 所有公司都有董事，他们是由股东选出来管理公司的\n·Limited in this instance meaning that the owners no \nlonger have unlimited liability for the debts of their \ncompanies \n·In the US, these are known as incorporated \ncompanies \n·All companies have shareholders who have \ninvested in the company \n· All companies have directors who are selected by \nthe shareholders to run the company\n\n 公司所有者的个人财产和资产是与公司完全独立的，这意味着企业的债务不会由个人承担，仅限于承担其所持有的股份投资。这种特殊的财务安排可以帮助创业者控制风险并保护个人财产不受经营活动的影响。
								-  你是被技术驱动还是被市场驱动？ #flashcard
								  id:: 648afdb9-d5d9-445b-a4c3-aa68dd432b3d
								  collapsed:: true
									- 市场驱动型就是根据市场需求来设计产品。
									- 技术驱动型就是发明出来一个技术后看这个技术能运用在哪，然后告诉用户这个技术有多棒
								-  谁是你的客户？ #flashcard
								  id:: 648afdb9-7f1e-4250-8708-521b0671de67
								  collapsed:: true
									- B2C (business to consumer)
									- B2B (business to business)
							- 高科技创新企业是怎么样走到一起的
							  collapsed:: true
								-  技术
								- 知识产权(保护)
								- 愿景(技术能引领到哪里？
								- 有市场吗
								- 人事部门
								- 科学领袖\
								- 业务经理
								- 资金筹集者
								- 科学家
								- 工程师金钱
								- Technology Intellectual Property (Protection) The Vision (Where can the technology lead? Is there \na market for it) Personnel\nl Scientific leaders\nl Business managers\nl Fund Raisers\nl Scientists/Engineers Money
							- 创建高新企业的阶段\nThe stages for creating a hitech start-up #flashcard
							  id:: 648afdb9-3129-4e6c-8322-a704741423a4
							  collapsed:: true
								- 1.评估机会-产生、评估和提炼商业概念 \nassess the opportunities - generate, evaluate & \nrefine the business concept
								- 2.制定商业计划并决定合资企业的结构 \nDevelop the business plan and decide on the \nstructure of the venture
								- 3.获得必要的资源和资金 \nAcquire the necessary resources and funding
								  collapsed:: true
									- 筹资阶段 fund-raising stage
									  collapsed:: true
										- 投资前期 Pre-investment
										  collapsed:: true
											- 大学基金、朋友、银行贷款  5k- 50k\n 构建演示者，构建商业计划\nPre-investment \n·University fund, friends, bank loan  £5k-£50k \n build demonstrator, build business plan \n\nPre-investment（前投资）阶段通常通过大学基金、亲友关系或银行贷款等方式筹集资金，金额在 5,000 英镑至 50,000 英镑之间。这个阶段主要用于制作展示装置（demonstrator）并编制商业计划。
											- A 轮 Round A 天使投资，或特别启动基金 \n10 万至 50 万 \n 建立董事会、部分高管团队 \n5 - 10 名员工\nl Angels, or special startup funds \nl £100k-£500k \nl Establish board, partial executive team \nl 5 - 10 employees
											- B 轮 \n 风险投资\n1 米至 5 米 \n 完整的董事会和高管团队。扩展到 20+\nl Venture Capital\nl £1M-£5M\nl Complete board and exec team. Expand to 20+
											  collapsed:: true
												- 风险投资 VCs(Venture Capitalists)
												  collapsed:: true
													- 收集资金(例如从养老基金)然后将这些资金投资到创业公司的公司
													- 追求高风险、高回报
													- 价值需要大幅提升 10 倍或更多
													- 在公司股权中持有大量股份
													- 预计只有十分之一的人会成功\n A company that collects funds (e.g. from pension \nfunds) and then invests those funds in startups Go for high-risk, high reward Need very large uplift in value, 10 times or more Take large stake in company equity Expect only 1 in 10 to succeed
											- 退出阶段 exit\nExit 阶段
											  collapsed:: true
												- （退出阶段）是指企业从一个环节成功转向下一个环节，或者从某一市场上成功退出。在创业公司中，Exit 通常是指公司被收购或上市交易。
										- 筹资过程
										  collapsed:: true
											- Elevator pitch/executive summary: 简短陈述/执行摘要；
											- Business plan, presentation, management team: 商业计划、演示文稿、管理团队；
											  collapsed:: true
												- Business plan 的两个基本功能
												  collapsed:: true
													- 1.通过规划公司未来的发展方向和制定战略来指导公司。 \nGuiding the company by charting its future course \nand defining its strategy for following it.（内部）
													- 2.吸引将提供所需资本的贷款人和投资者。Attracting lenders and investors who will provide needed capital.（外部）
												- 什么是商业计划
												  collapsed:: true
													-  你计划进入的市场\
													- 你对这个市场贡献的独特 �� 引人注目的特点
													  collapsed:: true
														- 知识产权
														- 商业模式和财务
														- 团队和公司发展与战略
														- 投资主张
														- 退出策略
														- The market you plan to enter\nl The unique and compelling features of your \ncontribution to this market\nl Intellectual property\nl Business model and Financials\nl Team and Company development \nand strategy\nl Investment proposition\nl Exit strategy
													- 为什么需要商业计划
													  collapsed:: true
														- 在公司创始人之间提供一份关于未来发展方向的正式协议 可以减少创始人的自欺欺人 定义责任和奖励 帮助将抽象的目标转化为明确的目标 A business plan… provides a formal agreement between the \founders of a company about the direction to be \taken can reduce self-delusion among st the founders defines responsibilities & rewards helps to translate abstract goals into explicit operational needs
													- 商业模式（如何赚钱）
													- 商业计划的关键要素
													  collapsed:: true
														- 标题页和目录
														- 行动纲要
														- 愿景和使命
														- 陈述公司历史
														- 商业和工业概况
														- 商业策略
														- 产品/服务描述
														- 市场战略
														- 记录市场索赔
														- 显示客户兴趣
														- 竞争对手分析管理团队的描述
														- 业务计划
														- 预计财务报表
														- 贷款或投资建议
														- Title Page and Table of Contents Executive Summary Vision and Mission Statement Company History Business and Industry Profile Business Strategy Description of Products/Services Marketing Strategy\nl Document market claims\nl Show customer interest Competitor Analysis Description of Management Team Plan of Operation Projected Financial Statements Loan or Investment Proposa
													- 准备商业计划的技巧
													  collapsed:: true
														- 确保你的计划有一个吸引人的封面。(第一印象至关重要。)去掉你计划中所有的拼写和语法错误。让你的计划在视觉上吸引人。包括一个目录，让读者可以轻松地浏览您的计划。让它变得有趣。你的计划必须证明生意会赚钱(不一定马上赚钱，但最终会赚钱)。使用电子表格生成财务预测。总是包括现金流预测。保持你的计划“简洁”——25 到 40 页长。永远说实话。\n Make sure your plan has an attractive cover. (First impressions are crucial.) Rid your plan of all spelling and grammatical errors. Make your plan visually appealing. Include a table of contents to allow readers to navigate your plan easily. Make it interesting Your plan must prove that the business will \nmake money (not necessarily immediately, \nbut eventually). Use spreadsheets to generate financial \nforecasts. Always include cash flow projections. Keep your plan “crisp” – between 25 and 40 pages long. Tell the truth – always. \n
												- Business survey: 商业调查；
												- Due diligence: 尽职调查；
												- Valuation, ownership, control, legal issues: 估值、所有权、控制权、法律问题；
												- FUNDING: 融资。
											- 4.成长和收获风险\nGrow and harvest the venture
										- 企业失败的原因
										  collapsed:: true
											- 缺乏技能
											-  销售问题
											-  财务控制
											-  缺乏资金
											-  融资成本高
											-  破产的顾客
											-  过度交易开发
											-  营销问题
											- 官僚主义
											  l lack of skills
											  l sales problem
											  l financial control
											  l lack of funds
											  l high cost of finance
											  l insolvent customers
											  l overtrading development
											  l marketing issues
											  l red tape (bureaucracy)
				- ## Topic 19
					- The scope and objectives of cybersecurity
						- Definition :-> Cybersecurity is the application of technologies,
						  id:: 648ae156-d60a-4df9-b0ef-6d1404a44712
						  processes and controls to protect systems,
						  networks, programs, devices and data from cyber
						  attacks
						- Objective :-> It aims to reduce the risk of cyber attacks, and
						  id:: 648ae15b-9229-4b0f-bcaa-8cd716c52a08
						  protect against the unauthorised exploitation of
						  systems, networks and technologies
					- Trends and drivers of cybersecurity
						- Information Security
							- Definition :-> Seeks to protect all information assets, whether in
							  id:: 648ae194-a96a-4fe0-903a-5d0de2d0344d
							  hard copy or in digital form
							- Concepts: #flashcard
							  id:: 648ae25d-6a9e-423b-bceb-ac5d9b378bf8
								- confidentiality
									- Confidentiality means that :-> only people with the right
									  id:: 648ae279-8cbc-457a-815b-9110beb1209a
									  permission can access and use information
									- Ensuring confidentiality :-> encryption, access controls
									  id:: 648ae29c-80ff-417b-b260-17d9d4b37b6b
									- Compromising confidentiality :-> (intentional)
									  id:: 648ae2a7-de20-4ef5-92aa-c25a3475088f
									  shoulder surfing, social engineering; (accidental)
									  publication
								- integrity, and
									- Integrity means that :-> information systems and their
									  id:: 648ae2db-d473-4637-9883-b9881abb341c
									  data are accurate, Changes cannot be made to data without
									  appropriate permissions
									- Ensuring integrity :-> controls ensuring the correct
									  id:: 648ae2e9-3893-4534-839b-f74b0a47b967
									  entry of information, authorization, antivirus
									- Compromising integrity :-> (intentional) employee or
									  id:: 648ae2f5-d95e-4fae-b43b-0b10e8eefcf0
									  external attacks; (accidental) employee error
								- Authentication is :-> the process of validating the
								  id:: 648ae307-4640-478a-97cc-42102626dbb3
								  identity of a registered user or process before
								  enabling access to protected networks and systems. #flashcard
									- Analogue
										- signatures, handwriting, in person attestation,
										  witnesses, notary
									- Digital
										- username and password, digital signatures,
										  fingerprints or face recognition
								- availability of information
									- Availability is :-> the security goal of making sure
									  id:: 648ae327-b6e7-429a-b6a5-2141ae9de3cb
									  information systems are reliable
									- Individuals with proper permission can use systems
									  and retrieve data in a dependable and timely
									  manner
									- Ensuring availability :-> recovery plans, backup
									  id:: 648ae332-cf7f-401b-a309-8aae86bb5c39
									  systems
									- Compromising availability :-> (intentional) denial of
									  id:: 648ae33a-8f36-4048-8ac7-8dfbd51a2b44
									  service (DoS) attack, (accidental) outage
						- Privacy and Data Protection
							- Data privacy are the regulations, or policies, that
							  governs the use of my data when shared with any
							  entity, while data protection is the mechanism —
							  that is, the tools and procedures — to enforce the
							  policy and regulation, including the prevention of
							  unauthorized access or misuse of the data that I
							  agreed to share
						- Information Security x Privacy #flashcard
						  id:: 648afdb9-e32c-41ca-aead-2d027d4c3fea
							- Information security and privacy are **closely related,
							  but distinct concepts**
							- Privacy is :-> an individual’s right to control the use and
							  id:: 648ae1b1-50af-4fe1-92ea-4924a940f6ec
							  disclosure of their own personal information
							- Information security is :-> the process used to keep
							  id:: 648ae1b7-d101-4cab-bf62-d30b99c4a004
							  data private
							- Security is the process; privacy is the result
						- Cybercrime
							- Cybercrime is :-> an act that violates the law, by using
							  id:: 648afdb9-c1a5-4942-91b2-fb9a455b75ca
							  information and communication technology (ICT) to
							  either target networks, systems, data, websites
							  and/or technology or facilitate a crime
						- Drivers of Cybersecurity #flashcard
						  id:: 648afdb9-3c18-4a35-8f03-3252710b99c7
							- Legal and regulatory
							- Commercial
							- Technical
					- Key concepts
						- Vulnerabilities :-> weakness or flaw in the information system that can
						  id:: 648ae352-f31c-437b-bc7f-e07e266f239e
						  be exploited
						- Threats :-> anything that can cause harm to an information
						  id:: 648ae35f-8842-4358-93fd-1f6fa1bb72a4
						  system – successful exploits of vulnerabilities
							- Relationship between a vulnerability and a threat #flashcard
							  id:: 648afdb9-a664-4f39-9264-9962fc02e7ac
								- An organization does not have sufficient controls
								  to prevent an employee from deleting critical
								  computer files **(lack of controls – vulnerability).**
								  An employee could delete files by mistake
								  **(employee – source of threat) (deleting critical
								  files – threat).** If the files are deleted, successful
								  exploit of the vulnerability has taken place. If the
								  file is not recoverable, the incident harms the
								  organizations and its security. Availability is
								  compromised.
						- Risks :-> a likelihood that a threat will exploit a vulnerability
						  id:: 648ae35f-621c-42e5-ac5e-0040b762e74f
						  and cause harm, where the harm is the impact to
						  organization, **Risk = vulnerability + threat**
						- Safeguards :-> safeguard reduces the harm posed by information
						  id:: 648ae360-054d-4a49-9dd6-bb0f8c3e5c25
						  security vulnerabilities or threats
					- Risk management :-> Risk management as means to justify information
					  id:: 648ae14d-ad8d-4662-b153-b3372c7b1a28
					  security laws, process of listing the all the relevant factors and
					  taking steps to control them where possible
					- Information Security Management
						- To effectively assess the security needs of an
						  organization and to evaluate and choose various
						  security products and policies
						- Methods: #flashcard
						  id:: 648afdb9-52cf-48f4-ab98-560e43a318b2
							- Categorize information
							- Identify legal obligations
							- Assess vulnerabilities, threats and risks
							- Safeguards
							- Development of standards
								- process to take
								- requirements to meet
	- LATER 概率论 (隔了一个周末)
	  SCHEDULED: <2023-06-19 Mon>
		- LATER 概率论 {{renderer :todomaster}}
		  id:: 647bf024-41f1-45e7-afaf-f49026e826d6
		  :LOGBOOK:
		  CLOCK: [2023-06-03 Sat 16:47:39]--[2023-06-03 Sat 16:47:40] =>  00:00:01
		  :END:
			- LATER Mind map
			  deck:: 2023t1/math
			  collapsed:: true
			  :LOGBOOK:
			  CLOCK: [2023-06-16 Fri 15:00:23]--[2023-06-16 Fri 15:18:37] =>  00:18:14
			  :END:
				- DONE Ch1
				  collapsed:: true
				  :LOGBOOK:
				  CLOCK: [2023-06-16 Fri 15:31:10]--[2023-06-16 Fri 17:15:08] =>  01:43:58
				  :END:
					- Experiment, Sample Space and Random Event ![section 1.2.pdf](../assets/section_1.2_1686899993390_0.pdf)
					- Events as Sets
					- Definition of Classical Probability, Geometric Probability and Frequency ![section 1.3.pdf](../assets/section_1.3_1686900041785_0.pdf)
					  collapsed:: true
						- **Classical** if
							- 1. E contains **only different limited basic** events, that is,
							  $$ Ω = \{ω1 , ω2 , · · · , ωn \}. $$
							  We call this kind of sample space simple space, and
							  2. all outcomes are equally likely to occur.
						- **Geometric** if
							- (i) the sample space is a **measurable** (such as length, area,
							  volume, etc.) region, i.e., $$0 < L(Ω) < ∞$$, and
							- (ii) the probability of every event $$A ⊂ Ω$$ is proportional to the
							  measure $$L(A)$$ and has nothing to do with its position and
							  shape.
						- The **Frequency** Interpretation of Probability
							- Let E be an random experiment, A be an random event.
							  Suppose that E was repeated n times under similar conditions.
							  Let fn (A) be the times that A occurs. The ration
							  $$Fn (A) =
							  \frac{ fn (A)}{n}$$
							  is said to be the frequency of event A in the n trials. If n is
							  large enough, the probability of event A will be approximated
							  by Fn (A).
					- Problems of Each Interpretation of Probability
					- Similarity of the Above Interpretations of probability
						- For classical random experiment E, the probability has the fol-
						  lowing properties:
						  (i) for every event A, P (A) ⩾ 0,
						  (ii) P (Ω) = 1,
						  (iii) for every finite sequence of n disjoint events A1 , A2 , · · · , An ,
						  ![image.png](../assets/image_1686901196592_0.png)
						- Property (iii) is called finite additivity.
					- Axiomatic Definition of Probability ![section 1.4.pdf](../assets/section_1.4_1686901294123_0.pdf)
						- Let P (A)(A ∈ F ) be a non-negative set function on the σ-algebra
						  F . P (A) is called the probability measure or probability of
						  event A if it satisfies the following three axioms:
						  Axiom 1. for every A ∈ F , P (A) ⩾ 0;
						  Axiom 2. P (Ω) = 1;
						  Axiom 3. (countable additivity) for every infinite sequence of
						  countable disjoint events A1 , A2 , · · · ,
						  ![image.png](../assets/image_1686901606535_0.png){:height 185, :width 405} 
						  The sets in σ-algebra F are called events. F is called to be the
						  algebra of events. ==The triple (Ω, F , P ) is a probability space
						  or probability triple.==
					- Properties of Probability
						- $$P (∅) = 0.$$
						- For every finite $$A1 , A2 , · · · , An$$,
						  ![image.png](../assets/image_1686901672954_0.png)
						- For every event A, $$P (A) = 1 − P (A)$$.
						- If A ⊂ B, then P (B − A) = P (B) − P (A) and P (A) ⩽ P (B).
						- ==For every two events A and B,==
						  $$P (A ∪ B) = P (A) + P (B) − P (AB)$$
						- ![image.png](../assets/image_1686901846112_0.png)
					- The ((648c1a97-e67b-471b-b07f-ae24970d60f6)) of Conditional Probability ![section 1.5.pdf](../assets/section_1.5_1686903326304_0.pdf)
						- ![Screenshot from 2023-06-16 16-17-56.png](../assets/Screenshot_from_2023-06-16_16-17-56_1686903487884_0.png)
					- ((648c1afb-77a7-4f91-b6e9-20351b320254))
					- ((648c1b5f-f72c-495e-8c8a-b184c8682d74))
					- ((648c1bb4-f300-43f1-a55f-ca859720ee6b))
					- ((648c1e25-4336-48ba-bd20-d156a4c8df7a)) ![section 1.6.pdf](../assets/section_1.6_1686904326481_0.pdf)
					- ((648c1e7c-ce3f-4aea-bff6-4d35373becbb))
						- ((648c1ea8-997d-4d93-b7ac-c7a5b9300bed))
						- Pairwise independence $$\neq$$ Mutually independence
						- ((648c2162-314d-4d4b-a3f6-29e39fdcc83b))
						- ((648c206e-8ce7-4a74-9ba5-4991d761909f))
					- ((648c27ed-e09d-4f1a-8100-7ae2dfff1c8e))
						- ((648c27f9-f944-4bf8-9e44-cb3e9048d286))
					-
				- NOW Ch2 Random Variable
				  :LOGBOOK:
				  CLOCK: [2023-06-16 Fri 17:15:12]
				  :END:
					- The Definition of a Random Variable ![section 2.1.pdf](../assets/section_2.1_1686906920851_0.pdf)
						- ((648c2860-5454-45f1-80f8-1c85bce84fd1))
						- ((648c290a-3532-4e56-8536-258daf7b00a7))
					- Distribution Function
						- ((648c2970-9091-4f46-8745-b0c10cdeb832))
						  collapsed:: true
							- ((648c2994-36eb-44bf-8038-e49d2390a5b0))
						- ((648c2a73-3961-4723-90e8-5f160bb18e0d)) ![section 2.2.pdf](../assets/section_2.2_1686907456219_0.pdf)
						  collapsed:: true
							- ((648c2a88-3d0f-47d2-be44-21df002a1def))
							- ((648c2abf-5c5e-4af9-9e13-bb566f3206e8))
							- ((648c2b26-e92d-43f7-b8e1-60b51a2b5268))
						- Discrete type
						  collapsed:: true
							- Definition:  ((648c2be0-787e-4e1f-8d0c-b859f0d08383))
						- Continuous type
						  collapsed:: true
							- ((648c2c54-b536-40ba-8191-ef1aeb2be0b9))
					- ((648c2c9a-fcca-43e3-94a6-466f52131b48))
						- ((648c2d05-82d4-472f-901c-b362852e2a3a))
						- 换元的示例
						  collapsed:: true
							- ((648c2de1-d9a7-4760-bb4f-beec4b41102c))
							- ((648c488f-85fa-4203-8092-07176b38fce9))
						- 公式法 #flashcard
						  collapsed:: true
							- ((648c48ac-76be-4848-af0d-1532467c8d68))
					- Mathematical Expectation and Variance ![section 2.3.pdf](../assets/section_2.3_1686916498071_0.pdf)
						- Expectation
							- Definitions :-> ((648c4e9e-5515-4da3-bc6b-39d6969f5f14))
								- Examples:
									- ((648c5298-fb84-4e9c-b816-7df1a7ad9a66)) #flashcard
										- ((648c52d9-ea03-4835-8080-52ba5e6c3122))
									-
			- LATER 学积分
			  :LOGBOOK:
			  CLOCK: [2023-06-03 Sat 17:05:07]--[2023-06-03 Sat 17:05:08] =>  00:00:01
			  CLOCK: [2023-06-03 Sat 21:07:06]--[2023-06-03 Sat 21:07:07] =>  00:00:01
			  CLOCK: [2023-06-03 Sat 21:07:17]--[2023-06-03 Sat 21:07:18] =>  00:00:01
			  :END:
			- LATER Binomial coefficient
			- LATER 写题（作业，对答案）
			- LATER 总复习, 考试6.19，杰克6.8
				- LATER 看完网课和串讲 [[Jun 17th, 2023]]
				  :LOGBOOK:
				  CLOCK: [2023-06-16 Fri 14:42:58]--[2023-06-16 Fri 14:55:49] =>  00:12:51
				  :END:
					- [6-8](https://meeting.tencent.com/user-center/shared-record-info?id=7bb557da-b99f-4316-ab5e-fe96befe28b0&from=3)
				- LATER 写思维导图
					- [[Jun 16th, 2023]]: Ch 1 - 3
					- [[Jun 17th, 2023]]: Ch 6-8
				- LATER 做题 [[Jun 18th, 2023]]
	- ![2023-06-09-13-21-19.jpeg](../assets/2023-06-09-13-21-19.jpeg)
-